UPDATE matches SET category = 0 WHERE category = '';

UPDATE matches, squads SET matches.squad = squads.id WHERE matches.squad = squads.short;

UPDATE matches SET squad = 0 WHERE squad = '';

INSERT INTO clans (clans_name,clans_short,clans_country,clans_url) SELECT clan AS clans_name, clanshort AS clans_short, clanfrom AS clans_country, clanurl AS clans_url FROM matches;

UPDATE matches, clans SET matches.clan = clans.clans_id WHERE matches.clan = clans.clans_name;

UPDATE matches SET clan = 0 WHERE clan = '';

ALTER TABLE matches DROP clanshort, DROP clanfrom, DROP clanurl, DROP clanlineup, DROP xonx, DROP squadlineup, DROP mark, DROP userid, DROP replays, DROP screens;

ALTER TABLE matches CHANGE id wars_id INT(8) UNSIGNED NOT NULL AUTO_INCREMENT, CHANGE clan clans_id INT(8) NOT NULL default '0', CHANGE category categories_id INT(8) NOT NULL default '0', CHANGE maps wars_rounds TEXT NOT NULL default '', CHANGE squad squads_id INT(8) NOT NULL default '0', CHANGE squadscore wars_score1 INT(6) NOT NULL default '0', CHANGE clanscore wars_score2 INT(6) NOT NULL default '0', CHANGE report wars_report TEXT NOT NULL default '', CHANGE `date` wars_date VARCHAR(14) NOT NULL default '';

ALTER TABLE matches ADD games_id INT(8) NOT NULL default '0', ADD wars_status VARCHAR(20) NOT NULL default '', ADD wars_url VARCHAR(80) NOT NULL default '', ADD wars_close INT(2) NOT NULL default '0', ADD wars_pictures TEXT NOT NULL default '', ADD wars_players varchar(100) NOT NULL default '';

UPDATE matches SET wars_status = 'played';