CREATE TABLE board (
  board_id int(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  board_access int(2) NOT NULL default '0',
  board_name varchar(80) NOT NULL default '',
  board_text varchar(200) NOT NULL default '',
  board_time int(14) NOT NULL default '0',
	board_pwd varchar(40) NOT NULL default '',
  board_threads int(12) NOT NULL default '0',
	board_comments int(12) NOT NULL default '0',
  PRIMARY KEY (board_id)
)TYPE=MyISAM;

INSERT INTO board (board_id,categories_id,board_access,board_name,board_text) SELECT categories_id AS board_id, categories_id, categories_access AS board_access, categories_name AS board_name, categories_text AS board_text FROM category WHERE categories_mod = 'board';

UPDATE topic SET category = 0 WHERE category = '';

UPDATE topic SET sticky = 0 WHERE sticky = '';

UPDATE topic SET close = 0 WHERE close = '';

ALTER TABLE topic CHANGE id threads_id INT(8) UNSIGNED NOT NULL AUTO_INCREMENT, CHANGE userid users_id INT(8) NOT NULL default '0', CHANGE category board_id INT(8) NOT NULL default '0', CHANGE `date` threads_time VARCHAR(14) NOT NULL default '', CHANGE lastpost threads_last_time VARCHAR(14) NOT NULL default '', CHANGE headline threads_headline VARCHAR(200) NOT NULL default '', CHANGE `text` threads_text TEXT NOT NULL default '', CHANGE sticky threads_important INT(2) NOT NULL default '0', CHANGE close threads_close INT(2) NOT NULL default '0';

ALTER TABLE topic DROP news, DROP nlink, DROP nlink2, DROP link, DROP link2, DROP ip;

ALTER TABLE topic ADD threads_view INT(8) NOT NULL default '0', ADD threads_edit VARCHAR(200) NOT NULL default '', ADD threads_last_user int(8) NOT NULL default '0', ADD threads_comments int(8) NOT NULL default '0';