<?php
// bx clanportal - www.bxcp.com
// $Id: navcal.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('events','navcal');

$events = array();
$year = !empty($_GET['year']) ? $_GET['year'] : bx_datereal('Y');
if(1970 > $year) { $year = 1970; } # unixtime start
elseif(2037 < $year) { $year = 2037; } # limited by current operating systems 
$month = !empty($_GET['month']) ? $_GET['month'] : bx_datereal('n');
$zero = date('m', mktime(0, 0, 0, $month, 1, $year));
$days = date('t', mktime(0, 0, 0, $month, 1, $year));
$first = date('w', mktime(0, 0, 0, $month, 1, $year));
$min = bx_datereal('U',mktime(0, 0, 0, $month, 1, $year));
$max = bx_datereal('U',mktime(23, 59, 59, $month, $days, $year));

$like = "users_age LIKE '%-" . $zero . "-%'";
$birthdays = bx_sql_select(__FILE__,'users','users_age',$like,0,0,0);

if(is_array($birthdays)) {
	foreach($birthdays AS $key => $value) {
		$new_key = substr($value['users_age'], 8, 10);
		settype($new_key,'integer');
		$events[$new_key] = 0;
	}
}

$between = "events_time >= '" . $min . "' AND events_time <= '" . $max . "'";
$fetch = bx_sql_select(__FILE__,'events','events_time',$between,0,0,0);

if(is_array($fetch)) {
	foreach($fetch AS $key => $value) {
		$new_key = bx_datereal('j', $value['events_time']);
		$events[$new_key] = 0;
	}
}

echo bx_html_table(1,'forum',1,'100%');
echo bx_html_roco(1,'calhead',0,0,'16%');
echo $bx_lang['calweek'];
echo bx_html_roco(2,'calhead',0,0,'12%');
echo $bx_lang['Mon'];
echo bx_html_roco(3,'calhead',0,0,'12%');
echo $bx_lang['Tue'];
echo bx_html_roco(4,'calhead',0,0,'12%');
echo $bx_lang['Wed'];
echo bx_html_roco(5,'calhead',0,0,'12%');
echo $bx_lang['Thu'];
echo bx_html_roco(6,'calhead',0,0,'12%');
echo $bx_lang['Fri'];
echo bx_html_roco(7,'calhead',0,0,'12%');
echo $bx_lang['Sat'];
echo bx_html_roco(8,'calhead',0,0,'12%');
echo $bx_lang['Sun'];
echo bx_html_roco(0);

echo bx_html_roco(1,'calweek');
echo date('W', mktime(0, 0, 0, $month, 1, $year));
$colspan = $first == 0 ? 6 : $first - 1;
if($colspan >= 1) { 
	echo bx_html_roco(2,0,0,$colspan);
	echo '&nbsp;';
}
$row = $colspan + 2;
for($run = 1; $run <= $days; $run++) {
	if($row == 9) {
		echo bx_html_roco(0);
		echo bx_html_roco(1,'calweek');
		echo date('W', mktime(0, 0, 0, $month, $run, $year));
		$row = 2;
	}
	if(array_key_exists($run,$events)) {
		$css = 'calevent';
		$unix = mktime(0, 0, 0, $month, $run, $year);
		$out = bx_link($run,'events','timer','unix=' . $unix);	
	}
	else {
		$css = 'calday';
		$out = $run;	
	}
	$current = $run . '-' . $zero . '-' . $year;
	$css2 = $current == bx_datereal('j-m-Y') ? 'caltoday' : $css;
	echo bx_html_roco($row,$css2);
	$row++;
	echo $out;
}
if($row < 9) {
	$colspan2 = 9 - $row;
	echo bx_html_roco(2,0,0,$colspan2);
	echo '&nbsp;';
}
echo bx_html_roco(0);

echo bx_html_roco(1,'calhead',0,8);
$nom = date('F', mktime(0, 0, 0, $month, 1, $year));
$next = $month == 12 ? 'year=' . ($year + 1) . '&amp;month=1' : 
	'year=' . $year . '&amp;month=' . ($month + 1);
$last = $month == 1 ? 'year=' . ($year - 1) . '&amp;month=12' : 
	'year=' . $year . '&amp;month=' . ($month - 1);
echo bx_link('&lt;','events','calendar',$last);
echo ' [ ' . $bx_lang[$nom] . ' ' . $year . ' ] ';
echo bx_link('&gt;','events','calendar',$next);
echo bx_html_roco(0);
echo bx_html_table(0);

?>