<?php

// bx clanportal - www.bxcp.com
// $Id: wat_create.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('gallery','wat_create');

$img_max['width'] = 200;
$img_max['height'] = 200;
$img_max['size'] = 76800;
$img_filetypes = array('jpg','png');

if(isset($_POST['submit'])) 
{	
	$bx_categories['categories_name'] = $_POST['categories_name'];
	$bx_categories['categories_mod'] = 'gallery-watermark';
	$bx_categories['categories_url'] = '';
	$bx_categories['categories_text'] = '';
  
	$error = 0;
	$errormsg = '';

	if(!empty($_FILES['picture']['tmp_name'])) 
	{
		$img_size = getimagesize($_FILES['picture']['tmp_name']);
	    switch($img_size[2])
	    {
			case 2:
				$ext = 'jpg'; break;
			case 3:
				$ext = 'png'; break;
		}
		$img_size = getimagesize($_FILES['picture']['tmp_name']);
		if($img_size[0]>$img_max['width']) 
		{ 
			$errormsg .= $bx_lang['too_wide'] . bx_html_br(1);
			$error++;
		}
		if($img_size[1]>$img_max['height']) 
		{ 
			$errormsg .= $bx_lang['too_high'] . bx_html_br(1);
			$error++;
		}
		if($_FILES['picture']['size']>$img_max['size']) 
		{ 
			$errormsg .= $bx_lang['too_big'] . bx_html_br(1);
			$error++;
		}
	}

	if(empty($bx_categories['categories_name'])) 
	{
		$error++;
		$errormsg .= $bx_lang['no_name'] . bx_html_br(1);
	}

	$where = "categories_name = '" . bx_sql_escape($bx_categories['categories_name']) . "' AND categories_mod = 'gallery-watermark'";
	$search = bx_sql_count(__FILE__,'categories',$where);
	if(!empty($search)) 
	{
		$error++;
		$errormsg .= $bx_lang['watermark_exists'] . bx_html_br(1);
	}
}
else 
{	
	$bx_categories['categories_name'] = '';
	$bx_categories['categories_mod'] = 'gallery';
	$bx_categories['categories_url'] = '';
	$bx_categories['categories_text'] = '';
}	
echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) 
{
	echo $bx_lang['body_create'];
}
elseif(!empty($error)) 
{
	echo $errormsg;
}
else 
{
	echo $bx_lang['create_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) 
{
	echo bx_html_form(1,'watermark_create','gallery','wat_create',1);
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'leftc');
	echo bx_icon('xpaint') . $bx_lang['name'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('categories_name',$bx_categories['categories_name'],'text',80,40);
	echo bx_html_roco(0);
	
	echo bx_html_roco(1,'leftc');
	echo bx_icon('download_manager') . $bx_lang['pic_up'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('picture','','file');
	
	echo bx_html_br(2);
	$matches[1] = $bx_lang['pic_infos'];
	$return_types = '';
	foreach($img_filetypes AS $add) {
		$return_types .= empty($return_types) ? $add : ', ' . $add;
	}
	$matches[2] = $bx_lang['max_width'] . $img_max['width'] . ' px' . bx_html_br(1);
	$matches[2] .= $bx_lang['max_height'] . $img_max['height'] . ' px' . bx_html_br(1);
	$matches[2] .= $bx_lang['max_size'] . bx_filesize($img_max['size']) . bx_html_br(1);
	$matches[2] .= $bx_lang['filetypes'] . $return_types;
	echo bx_abcode_clip($matches);

	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('ksysguard') . $bx_lang['options'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_vote('submit',$bx_lang['create'],'submit');
	echo bx_html_vote('reset',$bx_lang['reset'],'reset');
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_form(0);
}
else 
{	
	$categories_cells = array_keys($bx_categories);
	$categories_save = array_values($bx_categories);
	bx_sql_insert(__FILE__,'categories',$categories_cells,$categories_save);

	if(!empty($_FILES['picture']['tmp_name'])) 
	{
		$where = "categories_name = '" . $bx_categories['categories_name'] . "' AND categories_mod = 'gallery-watermark'";
		$getid = bx_sql_select(__FILE__,'categories','categories_id',$where);
		$filename = 'watermark-' . $getid['categories_id'] . '.' . $ext;
		bx_upload('categories',$filename,$_FILES['picture']['tmp_name']);
	
		$bx_categories2['categories_picture'] = $filename;
		$categories2_cells = array_keys($bx_categories2);
		$categories2_save = array_values($bx_categories2);			
		bx_sql_update(__FILE__,'categories',$categories2_cells,$categories2_save,$getid['categories_id']);
	}

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'gallery','manage','watermark');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>