<?php
// bx clanportal - www.bxcp.com
// $Id: sql.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('install','sql');

global $bx_db;

$sql_install = file_get_contents('install.sql');
$sql_install = str_replace('{time}',bx_time(),$sql_install);

$sql_install = str_replace('{def_lang}',$account['users_lang'],$sql_install);
$sql_install = str_replace('{guest}',$bx_lang['guest'],$sql_install);
$sql_install = str_replace('{community}',$bx_lang['community'],$sql_install);
$sql_install = str_replace('{member}',$bx_lang['member'],$sql_install);
$sql_install = str_replace('{orga}',$bx_lang['orga'],$sql_install);
$sql_install = str_replace('{admin}',$bx_lang['admin'],$sql_install);

if($bx_db['hash'] == 'md5') { 
	$sec_pwd = md5('admin');
}
elseif($bx_db['hash'] == 'sha1') { 
	$sec_pwd = sha1('admin');
}
$sql_install = str_replace('{pwd}',$sec_pwd,$sql_install);

if($bx_db['type'] == 'mysql') {
	$sql_install = str_replace('{serial}','int(8) unsigned NOT NULL auto_increment',$sql_install);
	$sql_install = str_replace('{engine}',' TYPE=MyISAM',$sql_install);
}
elseif($bx_db['type'] == 'mysqli' OR $bx_db['type'] == 'pdo_mysql') {
	$sql_install = str_replace('{serial}','int(8) unsigned NOT NULL auto_increment',$sql_install);
	$sql_install = str_replace('{engine}',' ENGINE=MyISAM',$sql_install);
}
elseif($bx_db['type'] == 'pgsql' OR $bx_db['type'] == 'pdo_pgsql') {
	$sql_install = str_replace('{serial}','serial NOT NULL',$sql_install);
	$sql_install = str_replace('{engine}','',$sql_install);
	$sql_install = preg_replace("=int\((.*?)\)=si",'integer',$sql_install);
}
elseif($bx_db['type'] == 'mssql') {
	$sql_install = str_replace('{serial}','int IDENTITY(1,1)',$sql_install);
	$sql_install = str_replace('{engine}','',$sql_install);
	$sql_install = preg_replace("=int\((.*?)\)=si",'int',$sql_install);
}
elseif($bx_db['type'] == 'sqlite' OR $bx_db['type'] == 'pdo_sqlite') {
	$sql_install = str_replace('{serial}','integer',$sql_install);
	$sql_install = str_replace('{engine}','',$sql_install);
	$sql_install = preg_replace("=int\((.*?)\)=si",'integer',$sql_install);
}

$sql_array = preg_split("=;[\n\r]+=",$sql_install); 
foreach($sql_array AS $sql_query) {
	bx_sql_query(__FILE__, $sql_query);
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_sql'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
echo $bx_lang['body_sql'];
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if($bx_db['type'] == 'mysql' AND $bx_db['hash'] == 'md5') {

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['rescue'],'install','convert','lang=' . $account['users_lang']);
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_br(1);
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'centerb');
echo $bx_lang['user_pwd'];
echo bx_html_br(2);
echo bx_link($bx_lang['next'],'install','complete','lang=' . $account['users_lang']);
echo bx_html_roco(0);
echo bx_html_table(0);

?>