
<?php
// bx clanportal - www.bxcp.com
// $Id: roots.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('updates','roots');

global $bx_db;
$error = 0;
$actions = '';
$sql_content = '';

if(isset($_FILES['update']['name']) AND preg_match("=^(.*?)\.sql$=si",$_FILES['update']['name'])) {
	$sql_content = file_get_contents($_FILES['update']['tmp_name']);
}
elseif(!empty($_POST['text'])) {
	$sql_content = $_POST['text'];
}

if(!empty($sql_content)) {

	$sql_update = str_replace('{time}',bx_time(),$sql_content);

	if($bx_db['type'] == 'mysql') {
		$sql_update = str_replace('{optimize}','OPTIMIZE TABLE',$sql_update);
		$sql_update = str_replace('{serial}','int(8) unsigned NOT NULL auto_increment',$sql_update);
		$sql_update = str_replace('{engine}',' TYPE=MyISAM',$sql_update);
	}
	elseif($bx_db['type'] == 'mysqli' OR $bx_db['type'] == 'pdo_mysql') {
		$sql_update = str_replace('{optimize}','OPTIMIZE TABLE',$sql_update);
		$sql_update = str_replace('{serial}','int(8) unsigned NOT NULL auto_increment',$sql_update);
		$sql_update = str_replace('{engine}',' ENGINE=MyISAM',$sql_update);
	}
	elseif($bx_db['type'] == 'pgsql' OR $bx_db['type'] == 'pdo_pgsql') {
		$sql_update = str_replace('{optimize}','VACUUM',$sql_update);
		$sql_update = str_replace('{serial}','serial NOT NULL',$sql_update);
		$sql_update = str_replace('{engine}','',$sql_update);
		$sql_update = preg_replace("=int\((.*?)\)=si",'integer',$sql_update);
	}
	elseif($bx_db['type'] == 'mssql') {
		$sql_update = str_replace('{serial}','int IDENTITY(1,1)',$sql_update);
		$sql_update = str_replace('{engine}','',$sql_update);
		$sql_update = preg_replace("=int\((.*?)\)=si",'int',$sql_update);
	}
	elseif($bx_db['type'] == 'sqlite' OR $bx_db['type'] == 'pdo_sqlite') {
		$sql_update = str_replace('{optimize}','VACUUM',$sql_update);
		$sql_update = str_replace('{serial}','integer',$sql_update);
		$sql_update = str_replace('{engine}','',$sql_update);
		$sql_update = preg_replace("=int\((.*?)\)=si",'integer',$sql_update);
	}

	$sql_array = preg_split("=;[\n\r]+=",$sql_update);
	foreach($sql_array AS $sql_query) {
		if($check = bx_sql_query(__FILE__, $sql_query)) {
			$para[1] = 'lime';
		}
		else {
			$para[1] = 'red';
			$error++;
		}
		$para[2] = $sql_query;
		$actions .= bx_abcode_color($para);
		$actions .= ' # ' . $check['affected_rows'];
		$actions .= bx_html_br(1);
	}
}
else {
	$error++;
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_roots'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(empty($_FILES['update']['tmp_name'])) {
	echo $bx_lang['body_roots'];
}
elseif(empty($error)) {
	echo $bx_lang['update_done'];
}
else {
	echo $bx_lang['update_error'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($actions)) {

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerc');
	echo $bx_lang['actions_done'];
	echo bx_html_roco(0);
	echo bx_html_roco(1,'leftb');
	echo $actions;
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_br(1);
}

if(empty($sql_content) OR !empty($error)) {

	if($bx_db['type'] != 'mssql') {
		echo bx_html_table(1,'forum',1);
		echo bx_html_roco(1,'centerb');
		echo bx_link($bx_lang['optimize_tables'],'updates','optimize');
		echo bx_html_roco(0);
		echo bx_html_table(0);
		echo bx_html_br(1);
	}

  echo bx_html_form(1,'updates_roots','updates','roots',1);
  echo bx_html_table(1,'forum',1);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('kate') . $bx_lang['sql_text'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_textarea('text',$sql_content,'50','12');
	echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('download_manager') . $bx_lang['sql_file'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('update','','file');
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['run'],'submit');
  echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_form(0);
}
else {
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['next'],'updates','roots');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>