<?php
// bx clanportal - www.bxcp.com
// $Id: setup.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('users','setup');

$languages = bx_checkdirs('lang');

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_setup'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftb');

if(isset($_POST['submit'])) {

  $bx_user['users_lang'] = $_POST['users_lang'];
  $bx_user['users_timezone'] = $_POST['users_timezone'];
  $bx_user['users_dstime'] = $_POST['users_dstime'];
  $bx_user['users_limit'] = $_POST['users_limit'];
  $bx_user['users_view'] = $_POST['users_view'];

	$error = 0;
  $errormsg = '';

	$allow = 0;
	foreach($languages as $mod) {
		if($mod['dir'] == $bx_user['users_lang']) { $allow++; }
	}
	$bx_user['users_lang'] = empty($allow) ? $bx_main['def_lang'] : $bx_user['users_lang'];

	if(empty($bx_user['users_limit'])) {
    $error++;
    $errormsg .= $bx_lang['no_limit'] . bx_html_br(1);
  }

	if($bx_user['users_limit'] > 50) {
		$bx_user['users_limit'] = 50;
	}
	$bx_user['users_view'] = $bx_user['users_view'] == 'list' ? 'list' : '';

	settype($bx_user['users_timezone'],'integer');
	settype($bx_user['users_dstime'],'integer');
}
else {
  $cells = 'users_lang, users_timezone, users_limit, users_view, users_dstime';
  $bx_user = bx_sql_select(__FILE__,'users',$cells,"users_id = '" . $account['users_id'] . "'");
}
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_setup'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
else {
  echo $bx_lang['changes_done'];
}

echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_form (1,'users_setup','users','setup');
  echo bx_html_table(1,'forum',1);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('locale') . $bx_lang['lang'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_select(1,'users_lang');
  foreach($languages as $lang) {
    $lang['name'] == $bx_user['users_lang'] ? $sel = 1 : $sel = 0;
    echo bx_html_option($lang['name'],$lang['name'],$sel);
  }
  echo bx_html_select(0);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('ktimer') . $bx_lang['timezone'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_select(1,'users_timezone');
	$timezone = -10;
  while($timezone < 13) {
    $zonename = $timezone >= 0 ? 'UTC +' . $timezone: 'UTC ' . $timezone;
		$offset = $timezone * 3600;
    $sel = $offset == $bx_user['users_timezone'] ? 1 : 0;
		echo bx_html_option($zonename,$offset,$sel);
  	$timezone++;
	}
  echo bx_html_select(0);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('kweather') . $bx_lang['dstime'];
  echo bx_html_roco(2,'leftb');
	echo bx_html_select(1,'users_dstime');
	$sel = empty($bx_user['users_dstime']) ? 1 : 0;
	echo bx_html_option($bx_lang['off'],0,$sel);
	$sel = !empty($bx_user['users_dstime']) ? 1 : 0;
	echo bx_html_option($bx_lang['on'],1,$sel);
	echo bx_html_select(0);
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
  echo bx_icon('view_text') . $bx_lang['limit'];
  echo bx_html_roco(2,'leftb',0,2);
  $limits[0]['users_limit'] = 10;
  $limits[0]['name'] = '10';
  $limits[1]['users_limit'] = 20;
  $limits[1]['name'] = '20';
  $limits[2]['users_limit'] = 35;
  $limits[2]['name'] = '35';
  $limits[3]['users_limit'] = 50;
  $limits[3]['name'] = '50';
  echo bx_dropdown('users_limit','name',$limits,$bx_user['users_limit']);
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
  echo bx_icon('view_choose') . $bx_lang['view'];
  echo bx_html_roco(2,'leftb',0,2);
  $views[0]['users_view'] = '';
  $views[0]['name'] = 'Standard';
  $views[1]['users_view'] = 'list';
  $views[1]['name'] = 'Liste';
  echo bx_dropdown('users_view','name',$views,$bx_user['users_view']);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['edit'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}
else {
	settype($bx_user['users_limit'],'integer');

  $users_cells = array_keys($bx_user);
  $users_save = array_values($bx_user);
  bx_sql_update(__FILE__,'users',$users_cells,$users_save,$account['users_id']);

  echo bx_html_table(1,'forum',1);
  echo bx_html_roco(1,'centerc');
	echo bx_link($bx_lang['continue'],'users','home');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>