<?php
// bx clanportal - www.bxcp.com
// $Id: functions.php 101 2006-07-12 09:36:29Z hajo $

function bx_error($file,$message) {

	global $bx_logs;
	if(!empty($bx_logs['save_errors'])) {
		$log = $file . "\n" . $message . "\n";
		$log .= $_SERVER['QUERY_STRING'] . "\n";
		$log .= $_SERVER['SERVER_SOFTWARE'] . "\n";
		$log .= $_SERVER['REMOTE_ADDR'] . "\n";
		$log .= $_SERVER['HTTP_USER_AGENT'] . "\n";
    bx_log('logs/errors',$log);
	}
	$bx_logs['errors'] .= $file . ': ' . $message . "\n";
}

function bx_error_sql($file,$part,$message,$stop = 0) {

	if(empty($message)) {
		$message = 'Database connection error';
	}
	$errmsg = $part . ' - ' . $message;
	bx_error($file,$errmsg);
	if(!empty($stop)) {
		die($message);
	}
}

function bx_log($target,$content) {

	global $bx_main;
	$full_path = $bx_main['def_path'] . '/' . $target;
  if(is_writeable($full_path . '/')) {
    $log = "-------- \n" . date('H:i:s') . "\n" . $content;
		$log_file = $full_path . '/' . date('Y-m-d') . '.log';
		$save_error = fopen($log_file,'a');
		fwrite($save_error,$log);
		fclose($save_error);
		chmod($log_file,0644);
  }
  else {
  	global $bx_logs;
    $msg = 'bx_log - Unable to write into directory -> ' . $full_path;
  	$bx_logs['errors'] .= $msg . "\n";
  }
}

function bx_log_sql($sql,$action = 0) {

  global $bx_logs, $account;
	$bx_logs['queries']++;
  $bx_logs['sql'] .= $sql . "\n";

  if(!empty($action) AND !empty($bx_logs['save_actions'])) {
		$log = 'USERS_ID ' . $account['users_id'] . "\n" . $sql . "\n";
    bx_log('logs/actions',$log);
  }
}

function bx_parsetime($micro) {

	$new_time = explode(' ', microtime());
	$getparse = $new_time[1] + $new_time[0] - $micro[0] - $micro[1];
	$getparse = round($getparse,3) * 1000;
	return $getparse;
}

function bx_tasks($dir, $check = 0) {

  $goal = opendir($dir . '/');
  while(false !== ($filename = readdir($goal))) {
		if($filename != '.' AND $filename != '..' AND $filename != '.svn') {
			if(empty($check) OR 
			extension_loaded(substr($filename, 0, strpos($filename, '.php')))) {
				include_once($dir . '/' . $filename);
			}
		}
	}
  closedir($goal);
}

function bx_time() {

	$time = time() - date('Z');
	return $time;
}

?>
