<?php
// bx clanportal - www.bxcp.com
// $Id: templates.php 133 2006-07-29 19:55:59Z hajo $

function bx_template($bx_micro,$bx_main,$account,$tpl_file = 'index.htm') {

  $mod = $bx_main['mod'];
  $action = $bx_main['action'];
  $get_axx = 'mods/' . $mod . '/access.php';

  if(!file_exists($bx_main['show'])) {
    $message = 'bx_template - File not found';
		bx_error($bx_main['show'],$message);
		$bx_main['show'] = 'mods/errors/404.php';
  }
  elseif(!file_exists($get_axx)) {
    $message = 'bx_template - Access file not found';
		bx_error($get_axx,$message);
    $bx_main['show'] = 'mods/errors/403.php';
  }
  else {
    include($get_axx);
    if(!isset($axx_file[$action])) {
      $message = 'bx_template - No access defined for target file';
		  bx_error($bx_main['show'],$message);
      $bx_main['show'] = 'mods/errors/403.php';
    }
    elseif(!isset($account['access_' . $mod])) {
      $message = 'bx_template - No module access defined in database';
		  bx_error($bx_main['show'],$message);
      $bx_main['show'] = 'mods/errors/403.php';
    }
    elseif($account['access_' . $mod] < $axx_file[$action]) {
			$bx_main['show'] = empty($account['users_id']) ? 'mods/users/login.php' : 'mods/errors/403.php';
    }
  }

	$tpl_path = 'templates/' . $bx_main['def_tpl'];
	if(!file_exists($tpl_path  . '/' . $tpl_file)) {
		bx_error($tpl_path . '/' . $tpl_file,'bx_template - Template not found');
		die('Template not found: ' . $tpl_path  . '/' . $tpl_file);
	}
  $bx_temp_get = implode('',file($tpl_path . '/' . $tpl_file));
	preg_match_all ("={(?!func)(.*?):(.*?)}=si", $bx_temp_get , $bx_temp2);
	$tmpc = count($bx_temp2[0]);
	$run = 0;
	$bx_temp['func:show'] = $bx_main['show'];
	
	while(!empty($tmpc)) {
		$bx_temp2[0][$run] = str_replace('{', '', $bx_temp2[0][$run]);
		$bx_temp2[0][$run] = str_replace('}', '', $bx_temp2[0][$run]);
		$file = 'mods/' . $bx_temp2[1][$run] . '/' . $bx_temp2[2][$run] . '.php';
		if(!file_exists($file)) {
			bx_error($file,'bx_template - File not found');
			$file = '';
		}
		else {
			$bx_temp[$bx_temp2[0][$run]] = $file;
		}
		$run++;
		$tmpc--;
	} 
  $pattern = "=link href\=\"(?!http)(.*?)\"=si";
	$bx_temp_get = preg_replace($pattern,"link href=\"" . $tpl_path . "/\\1\"", $bx_temp_get);
  $pattern = "=background\=\"(?!http)(.*?)\"=si";
	$bx_temp_get = preg_replace($pattern,"background=\"" . $tpl_path . "/\\1\"", $bx_temp_get);
	$pattern = "=src\=\"(?!http)(.*?)\"=si";
	$bx_temp_get = preg_replace($pattern,"src=\"" . $tpl_path . "/\\1\"", $bx_temp_get);
  $uslg = $account['users_lang'];
	$script = "<script src=\"system/javascript/bxcp.js\" type=\"text/javascript\"></script>";
  $bx_temp_get = str_replace('</head>',$script . '</head>', $bx_temp_get);

	foreach($bx_temp as $temp_row => $temp_new) {
		ob_start();
		include($temp_new);
		$temp_new = ob_get_contents();
		ob_end_clean(); 
		$temp_new = str_replace('{', "&#123;", $temp_new);
		$temp_new = str_replace('}', "&#125;", $temp_new);
		$bx_temp_get = str_replace('{' . $temp_row . '}', $temp_new, $bx_temp_get);
	}

	global $bx_logs, $com_lang;
	$bx_main['def_title'] = htmlspecialchars($bx_main['def_title'], ENT_QUOTES);
	$bx_temp_get = str_replace('{func:title}', $bx_main['def_title'], $bx_temp_get);
	$bx_temp_get = str_replace('{func:charset}', $com_lang['charset'], $bx_temp_get);
  $bx_temp_get = str_replace('{func:queries}', $bx_logs['queries'], $bx_temp_get);
	$bx_logs['errors'] = nl2br($bx_logs['errors']);
	$bx_temp_get = str_replace('{func:errors}', $bx_logs['errors'], $bx_temp_get);
	$bx_logs['sql'] = htmlspecialchars($bx_logs['sql'], ENT_QUOTES);
	$bx_logs['sql'] = nl2br($bx_logs['sql']);
  $bx_temp_get = str_replace('{func:sql}', $bx_logs['sql'], $bx_temp_get);

	$getparse = bx_parsetime($bx_micro);
	$bx_temp_get = str_replace('{func:parse}', $getparse, $bx_temp_get);
	
	return $bx_temp_get; 
}

?>