<?php
// bx clanportal - www.bxcp.com
// $Id: gd.php 360 2006-09-24 20:28:06Z hajo $

function bx_resample($image, $target, $max_width, $max_height) {

  $gd_info = gd_info();
  $im_info = getimagesize($image);

  if($im_info[2] == 1 AND $gd_info["GIF Read Support"] == TRUE) {
    $src = ImageCreateFromGIF($image);
  }
  elseif($im_info[2] == 2 AND $gd_info["JPG Support"] == TRUE) {
    $src = ImageCreateFromJPEG($image);
  }
  elseif($im_info[2] == 3 AND $gd_info["PNG Support"] == TRUE) {
    $src = ImageCreateFromPNG($image);
  }
  else {
    bx_error(__FILE__,'Failed to open existing image file');
    return 0;
  }

  $factor = max($im_info[1] / $max_height, $im_info[0] / $max_width);
  $im_new[0] = floor($im_info[0] / $factor);
  $im_new[1] = floor($im_info[1] / $factor);
  $dst = ImageCreateTrueColor($im_new[0],$im_new[1]);

  ImageCopyResampled($dst,$src,0,0,0,0,$im_new[0],$im_new[1],$im_info[0],$im_info[1]);

  if($im_info[2] == 1 AND $gd_info["GIF Create Support"] == TRUE) {
    $return = ImageGIF($dst,$target) ? 1 : 0;
  }
  elseif($im_info[2] == 2 AND $gd_info["JPG Support"] == TRUE) {
    $return = ImageJPEG($dst,$target,100) ? 1 : 0;
  }
  elseif($im_info[2] == 3 AND $gd_info["PNG Support"] == TRUE) {
    $return = ImagePNG($dst,$target) ? 1 : 0;
  }
  else {
    bx_error(__FILE__,'Failed to write resampled image file');
    return 0;
  }
  return $return;
}

?>