<?php
// bx clanportal - www.bxcp.com
// $Id: html_40.php 277 2006-08-28 19:06:48Z hajo $

function bx_html_br($run) {

	$var = '';
	while(0 < $run) {
		$var .= '<br>';
		$run--;
	}
	return $var . "\n";
}

function bx_html_hr($width) {

	return "<hr style=\"width:" . $width . "\" noshade />\n";
}

function bx_html_table($func,$class = 0,$spacing = 0,$width = 0) {

	if(empty($func)) {
		return "</table>\n";
	}
	else {
		$var = "\n<table ";
	if(!empty($class)) { 
		$var .= "class=\"" . $class . "\" "; 
	}	
	if(!empty($width) OR $func == 1) {
			global $bx_main;
			$width2 = empty($width) ? $bx_main['def_width'] : $width;
			$var .= "style=\"width:" . $width2 . "\" "; 
		}
		$var .= "cellpadding=\"0\" cellspacing=\"" . $spacing . "\">\n";
	  return $var;
  }
}

function bx_html_roco($func,$class = 0,$rowspan = 0,$colspan = 0, $width = 0) {

	if(empty($func)) {
		return "\n </td></tr>";
	}
	else {	
		if($func>=2) {
			$var = "</td><td";
		}
		else {
			$var = "<tr><td";
		}
		if(!empty($class)) { 
			$var .= " class=\"" . $class . "\""; 
		}
		if(!empty($colspan)) {
			$var .= " colspan=\"" . $colspan . "\"";
		}
		if(!empty($rowspan)) {
			$var .= " rowspan=\"" . $rowspan . "\"";
		}
    if(!empty($width)) {
			$var .= " width=\"" . $width . "\"";
		}
		return $var . ">\n";
	}
}

function bx_html_img($url,$height = 0,$width = 0,$more = 0, $alt = '') {

  $var = "<img src=\"" . $url . "\" ";
  if(!empty($height) AND !empty($width)) {
    $var .= "style=\"height:" . $height . 'px;width:' . $width . "px\" ";
  }
  if(!empty($more)) {
    $var .= $more . ' ';
  }
  return $var . "alt=\"" . $alt . "\">";
}

function bx_html_mail($mail,$link) {

	return "<a href=\"mailto:" . $mail . "\">" . $link . "</a>"; 
}

function bx_html_link($url,$link,$use_target = 1,$class = 0, $title = 0) {

	static $target = 0;
	$var = "<a href=\"" . $url . "\"";
  if(!empty($use_target)) {
  	$target++;
    $var .= " target=\"bx" . $target . "\"";
  }
	if(!empty($class)) { 
		$var .= " class=\"" . $class . "\""; 
	}
	if(!empty($title)) { 
		$var .= " title=\"" . $title . "\""; 
	}
  return $var . '>' . $link . '</a>';
}

function bx_html_anchor($name, $text = '', $more = '') {

	return "<a href=\"#\" name=\"" . $name . "\"" . $more . ">" . $text . "</a>";
}

function bx_html_form($func,$name = 0,$mod = 0,$action = 0,$enctype = 0) {

	if(!empty($func)) {
		$target = "?mod=" . $mod . "&amp;action=" . $action;
		$form = "<form method=\"post\" name=\"" . $name . "\" ";
		$form .= "action=\"" . $_SERVER['PHP_SELF'] . $target . "\"";
	  if(!empty($enctype)) {
       $form .= " enctype=\"multipart/form-data\"";
    }
    return $form . ">\n";
  }
	else {
		return "</form>\n";
	}
}

function bx_html_input($name,$value,$type,$max = 0,$size = 0,$more = 0,$class = 'form') {

	$value = htmlspecialchars($value);
	$var = "\n <input type=\"" . $type . "\" name=\"" . $name . "\" value=\"" . $value . "\" ";
	if(!empty($more)) {
		$var .= $more . ' ';
	}
  if(!empty($max)) {
		$var .= "maxlength=\"" . $max . "\" ";
	}
	if(!empty($size)) {
		$var .= "size=\"" . $size . "\" ";
	}
	if(!empty($class)) {
		$var .= "class=\"" . $class . "\" ";
	}
  return $var . '/>';
}

function bx_html_vote($name,$value,$type,$check = 0,$more = 0,$class = 'form') {

	$var = "\n <input type=\"" . $type . "\" name=\"" . $name . "\" value=\"" . $value . "\"";
  if(!empty($more)) {
    $var .= ' ' . $more;
  }
  if(!empty($check)) {
		$var .= " checked";
	}
	if(!empty($class)) {
		$var .= " class=\"" . $class . "\"";
	}
  return $var . '/>';
}

function bx_html_textarea($name,$value,$cols,$rows,$readonly = 0) {

	$var = "<textarea name=\"" . $name . "\" cols=\"" . $cols . "\" rows=\"" . $rows . "\" ";
	if(!empty($readonly)) {
		$var .= "readonly ";
	}
	$var .= "id=\"" . $name . "\" class=\"form\">" . htmlspecialchars($value) . "</textarea>\n";
  return $var;
}

function bx_html_select($func,$name = '',$more = 0) {

	if(!empty($func)) {
		$var = "<select name=\"" . $name . "\" class=\"form\"";
    if(!empty($more)) {
      $var .= ' ' . $more;
    }
    return $var . ">\n";
	}
	else {
		return "</select>\n";
	}
}

function bx_html_option($name,$value,$select = 0,$style = 0) {

	$value = htmlspecialchars($value);
	$var = "<option value=\"" . $value . "\"";
	if(!empty($style)) {
		$var .= " style=\"" . $style . "\"";
	}
  if(!empty($select)) {
		$var .= " selected";
	}
	return $var . '>' . $name . "</option>\n";
}

function bx_html_underline($func) {

  $func==1 ? $var = '<u>' : $var = '</u>';
  return $var;
}

function bx_html_big($func) {

  $func==1 ? $var = '<strong>' : $var = '</strong>';
  return $var;
}

function bx_html_italic($func) {

  $func==1 ? $var = '<em>' : $var = '</em>';
  return $var;
}

function bx_html_list($string,$style = 0,$element = '[*]') {

	$var = str_replace($element,'<li>',$string);
	$var = empty($style) ? '<ul>' . $var . '</ul>' : '<ol>' . $var . '</ol>';
  return $var;
}

function bx_html_div($func,$style = 0,$more = 0) {

  if($func==1) {
    $var = '<div';
    if(!empty($style)) {
      $var .= " style=\"" . $style . "\"";
    }
    if(!empty($more)) {
      $var .= ' ' . $more;
    }
    return $var . ">";
  }
  else {
    return "</div>";
  }
}

function bx_html_span($func,$style = 0,$more = 0) {

  if($func==1) {
    $var = '<span';
    if(!empty($style)) {
      $var .= " style=\"" . $style . "\"";
    }
    if(!empty($more)) {
      $var .= ' ' . $more;
    }
    return $var . ">";
  }
  else {
    return "</span>";
  }
}

?>
