ALTER TABLE {pre}_comments DROP INDEX comments_text;
ALTER TABLE {pre}_threads DROP INDEX threads_headline;
ALTER TABLE {pre}_threads DROP INDEX threads_text;

ALTER TABLE {pre}_abonements DROP INDEX users_id;
ALTER TABLE {pre}_abonements DROP INDEX threads_id;
ALTER TABLE {pre}_articles DROP INDEX users_id;
ALTER TABLE {pre}_articles DROP INDEX categories_id;
ALTER TABLE {pre}_autoresponder DROP INDEX users_id;
ALTER TABLE {pre}_awards DROP INDEX users_id;
ALTER TABLE {pre}_awards DROP INDEX games_id;
ALTER TABLE {pre}_board DROP INDEX users_id;
ALTER TABLE {pre}_board DROP INDEX categories_id;
ALTER TABLE {pre}_boardfiles DROP INDEX threads_id;
ALTER TABLE {pre}_boardfiles DROP INDEX comments_id;
ALTER TABLE {pre}_boardfiles DROP INDEX users_id;
ALTER TABLE {pre}_boardmods DROP INDEX users_id;
ALTER TABLE {pre}_boardpws DROP INDEX board_id;
ALTER TABLE {pre}_boardpws DROP INDEX users_id;
ALTER TABLE {pre}_boardvotes DROP INDEX threads_id;
ALTER TABLE {pre}_boardvotes DROP INDEX users_id;
ALTER TABLE {pre}_buddys DROP INDEX users_id;
ALTER TABLE {pre}_buddys DROP INDEX buddys_user_2;
ALTER TABLE {pre}_comments DROP INDEX users_id;
ALTER TABLE {pre}_comments DROP INDEX comments_fid;
ALTER TABLE {pre}_computers DROP INDEX users_id;
ALTER TABLE {pre}_events DROP INDEX categories_id;
ALTER TABLE {pre}_faq DROP INDEX users_id;
ALTER TABLE {pre}_faq DROP INDEX categories_id;
ALTER TABLE {pre}_fightus DROP INDEX categories_id;
ALTER TABLE {pre}_fightus DROP INDEX games_id;
ALTER TABLE {pre}_fightus DROP INDEX squads_id;
ALTER TABLE {pre}_files DROP INDEX users_id;
ALTER TABLE {pre}_files DROP INDEX categories_id;
ALTER TABLE {pre}_gallery DROP INDEX categories_id;
ALTER TABLE {pre}_gallery DROP INDEX users_id;
ALTER TABLE {pre}_games DROP INDEX categories_id;
ALTER TABLE {pre}_gbook DROP INDEX users_id;
ALTER TABLE {pre}_gbook DROP INDEX gbook_users_id;
ALTER TABLE {pre}_history DROP INDEX users_id;
ALTER TABLE {pre}_joinus DROP INDEX squads_id;
ALTER TABLE {pre}_joinus DROP INDEX games_id;
ALTER TABLE {pre}_links DROP INDEX categories_id;
ALTER TABLE {pre}_mail DROP INDEX categories_id;
ALTER TABLE {pre}_maps DROP INDEX games_id;
ALTER TABLE {pre}_members DROP INDEX squads_id_2;
ALTER TABLE {pre}_members DROP INDEX users_id;
ALTER TABLE {pre}_messages DROP INDEX users_id;
ALTER TABLE {pre}_messages DROP INDEX users_id_to;
ALTER TABLE {pre}_news DROP INDEX categories_id;
ALTER TABLE {pre}_news DROP INDEX users_id;
ALTER TABLE {pre}_newsletter DROP INDEX users_id;
ALTER TABLE {pre}_quotes DROP INDEX categories_id;
ALTER TABLE {pre}_quotes DROP INDEX users_id;
ALTER TABLE {pre}_read DROP INDEX threads_id_2;
ALTER TABLE {pre}_read DROP INDEX users_id;
ALTER TABLE {pre}_replays DROP INDEX categories_id;
ALTER TABLE {pre}_replays DROP INDEX games_id;
ALTER TABLE {pre}_replays DROP INDEX users_id;
ALTER TABLE {pre}_rounds DROP INDEX wars_id;
ALTER TABLE {pre}_rounds DROP INDEX maps_id;
ALTER TABLE {pre}_rules DROP INDEX categories_id;
ALTER TABLE {pre}_servers DROP INDEX games_id;
ALTER TABLE {pre}_squads DROP INDEX clans_id;
ALTER TABLE {pre}_squads DROP INDEX games_id;
ALTER TABLE {pre}_threads DROP INDEX board_id;
ALTER TABLE {pre}_threads DROP INDEX users_id;
ALTER TABLE {pre}_users DROP INDEX access_id;
ALTER TABLE {pre}_voted DROP INDEX users_id;
ALTER TABLE {pre}_voted DROP INDEX voted_fid;
ALTER TABLE {pre}_votes DROP INDEX users_id;
ALTER TABLE {pre}_wars DROP INDEX games_id;
ALTER TABLE {pre}_wars DROP INDEX categories_id;
ALTER TABLE {pre}_wars DROP INDEX squads_id;
ALTER TABLE {pre}_wars DROP INDEX clans_id;

CREATE INDEX {pre}_abonements_users_id_index ON {pre}_abonements (users_id);
CREATE INDEX {pre}_abonements_threads_id_index ON {pre}_abonements (threads_id);
CREATE INDEX {pre}_articles_users_id_index ON {pre}_articles (users_id);
CREATE INDEX {pre}_articles_categories_id_index ON {pre}_articles (categories_id);
CREATE INDEX {pre}_autoresponder_users_id_index ON {pre}_autoresponder (users_id);
CREATE INDEX {pre}_awards_users_id_index ON {pre}_awards (users_id);
CREATE INDEX {pre}_awards_games_id_index ON {pre}_awards (games_id);
CREATE INDEX {pre}_board_users_id_index ON {pre}_board (users_id);
CREATE INDEX {pre}_board_categories_id_index ON {pre}_board (categories_id);
CREATE INDEX {pre}_boardfiles_threads_id_index ON {pre}_boardfiles (threads_id);
CREATE INDEX {pre}_boardfiles_comments_id_index ON {pre}_boardfiles (comments_id);
CREATE INDEX {pre}_boardfiles_users_id_index ON {pre}_boardfiles (users_id);
CREATE INDEX {pre}_boardmods_users_id_index ON {pre}_boardmods (users_id);
CREATE INDEX {pre}_boardpws_board_id_index ON {pre}_boardpws (board_id);
CREATE INDEX {pre}_boardpws_users_id_index ON {pre}_boardpws (users_id);
CREATE INDEX {pre}_boardvotes_threads_id_index ON {pre}_boardvotes (threads_id);
CREATE INDEX {pre}_boardvotes_users_id_index ON {pre}_boardvotes (users_id);
CREATE INDEX {pre}_buddys_users_id_index ON {pre}_buddys (users_id);
CREATE INDEX {pre}_buddys_buddys_user_index ON {pre}_buddys (buddys_user);
CREATE INDEX {pre}_comments_users_id_index ON {pre}_comments (users_id);
CREATE INDEX {pre}_comments_comments_fid_index ON {pre}_comments (comments_fid);
CREATE INDEX {pre}_computers_users_id_index ON {pre}_computers (users_id);
CREATE INDEX {pre}_events_categories_id_index ON {pre}_events (categories_id);
CREATE INDEX {pre}_faq_users_id_index ON {pre}_faq (users_id);
CREATE INDEX {pre}_faq_categories_id_index ON {pre}_faq (categories_id);
CREATE INDEX {pre}_fightus_categories_id_index ON {pre}_fightus (categories_id);
CREATE INDEX {pre}_fightus_games_id_index ON {pre}_fightus (games_id);
CREATE INDEX {pre}_fightus_squads_id_index ON {pre}_fightus (squads_id);
CREATE INDEX {pre}_files_users_id_index ON {pre}_files (users_id);
CREATE INDEX {pre}_files_categories_id_index ON {pre}_files (categories_id);
CREATE INDEX {pre}_gallery_categories_id_index ON {pre}_gallery (categories_id);
CREATE INDEX {pre}_gallery_users_id_index ON {pre}_gallery (users_id);
CREATE INDEX {pre}_games_categories_id_index ON {pre}_games (categories_id);
CREATE INDEX {pre}_gbook_users_id_index ON {pre}_gbook (users_id);
CREATE INDEX {pre}_gbook_gbook_users_id_index ON {pre}_gbook (gbook_users_id);
CREATE INDEX {pre}_history_users_id_index ON {pre}_history (users_id);
CREATE INDEX {pre}_joinus_squads_id_index ON {pre}_joinus (squads_id);
CREATE INDEX {pre}_joinus_games_id_index ON {pre}_joinus (games_id);
CREATE INDEX {pre}_links_categories_id_index ON {pre}_links (categories_id);
CREATE INDEX {pre}_mail_categories_id_index ON {pre}_mail (categories_id);
CREATE INDEX {pre}_maps_games_id_index ON {pre}_maps (games_id);
CREATE INDEX {pre}_members_squads_id_index ON {pre}_members (squads_id);
CREATE INDEX {pre}_members_users_id_index ON {pre}_members (users_id);
CREATE INDEX {pre}_messages_users_id_index ON {pre}_messages (users_id);
CREATE INDEX {pre}_messages_users_id_to_index ON {pre}_messages (users_id_to);
CREATE INDEX {pre}_news_categories_id_index ON {pre}_news (categories_id);
CREATE INDEX {pre}_news_users_id_index ON {pre}_news (users_id);
CREATE INDEX {pre}_newsletter_users_id_index ON {pre}_newsletter (users_id);
CREATE INDEX {pre}_quotes_categories_id_index ON {pre}_quotes (categories_id);
CREATE INDEX {pre}_quotes_users_id_index ON {pre}_quotes (users_id);
CREATE INDEX {pre}_read_threads_id_index ON {pre}_read (threads_id);
CREATE INDEX {pre}_read_users_id_index ON {pre}_read (users_id);
CREATE INDEX {pre}_replays_categories_id_index ON {pre}_replays (categories_id);
CREATE INDEX {pre}_replays_games_id_index ON {pre}_replays (games_id);
CREATE INDEX {pre}_replays_users_id_index ON {pre}_replays (users_id);
CREATE INDEX {pre}_rounds_wars_id_index ON {pre}_rounds (wars_id);
CREATE INDEX {pre}_rounds_maps_id_index ON {pre}_rounds (maps_id);
CREATE INDEX {pre}_rules_categories_id_index ON {pre}_rules (categories_id);
CREATE INDEX {pre}_servers_games_id_index ON {pre}_servers (games_id);
CREATE INDEX {pre}_squads_clans_id_index ON {pre}_squads (clans_id);
CREATE INDEX {pre}_squads_games_id_index ON {pre}_squads (games_id);
CREATE INDEX {pre}_threads_board_id_index ON {pre}_threads (board_id);
CREATE INDEX {pre}_threads_users_id_index ON {pre}_threads (users_id);
CREATE INDEX {pre}_users_access_id_index ON {pre}_users (access_id);
CREATE INDEX {pre}_voted_users_id_index ON {pre}_voted (users_id);
CREATE INDEX {pre}_voted_voted_fid_index ON {pre}_voted (voted_fid);
CREATE INDEX {pre}_votes_users_id_index ON {pre}_votes (users_id);
CREATE INDEX {pre}_wars_games_id_index ON {pre}_wars (games_id);
CREATE INDEX {pre}_wars_categories_id_index ON {pre}_wars (categories_id);
CREATE INDEX {pre}_wars_squads_id_index ON {pre}_wars (squads_id);
CREATE INDEX {pre}_wars_clans_id_index ON {pre}_wars (clans_id);