<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 138 2006-07-31 20:04:45Z hajo $

$bx_lang = bx_translate('abcode','create');

$op_abcode = bx_sql_option(__FILE__,'abcode');
$img_filetypes = array('gif','jpg','png');

if(isset($_POST['submit'])) {

  $bx_abcode['abcode_func'] = $_POST['abcode_func'];
  $bx_abcode['abcode_pattern'] = $_POST['abcode_pattern'];
  $bx_abcode['abcode_result'] = $_POST['abcode_result'];
  
	$error = 0;
  $message = '';

  $img_size = getimagesize($_FILES['picture']['tmp_name']);
  if(!empty($_FILES['picture']['tmp_name']) AND empty($img_size) OR $img_size[2] > 3) {

    $message .= $bx_lang['ext_error'] . bx_html_br(1);
		$error++;
  }
  elseif(!empty($_FILES['picture']['tmp_name'])) {

    switch($img_size[2]) {
    case 1:
      $extension = 'gif'; break;
    case 2:
      $extension = 'jpg'; break;
    case 3:
      $extension = 'png'; break;
    }
    
    if($img_size[0]>$op_abcode['max_width']) {
  
  		$message .= $bx_lang['too_wide'] . bx_html_br(1);
  		$error++;
    }
    if($img_size[1]>$op_abcode['max_height']) { 
  
  		$message .= $bx_lang['too_high'] . bx_html_br(1);
  		$error++;
    }
    if($_FILES['picture']['size']>$op_abcode['max_size']) { 
  
  		$message .= $bx_lang['too_big'] . bx_html_br(1);
  		$error++;
    }
	}

  if(empty($bx_abcode['abcode_func'])) {
    $error++;
    $message .= $bx_lang['no_func'] . bx_html_br(1);
  }
  if(empty($bx_abcode['abcode_pattern'])) {
    $error++;
    $message .= $bx_lang['no_pattern'] . bx_html_br(1);
  }
  if($bx_abcode['abcode_func'] == 'str' AND empty($bx_abcode['abcode_result'])) {
    $error++;
    $message .= $bx_lang['no_result'] . bx_html_br(1);
  }
  if($bx_abcode['abcode_func'] == 'img' AND empty($_FILES['picture']['tmp_name'])) {
    $error++;
    $message .= $bx_lang['no_file'] . bx_html_br(1);
  }
  $where = "abcode_pattern = '" . bx_sql_escape($bx_abcode['abcode_pattern']) . "'";
  $search = bx_sql_count(__FILE__,'abcode',$where);
  if(!empty($search)) {
    $error++;
    $message .= $bx_lang['pattern_exists'] . bx_html_br(1);
  }
}
else {

  $bx_abcode['abcode_func'] = $op_abcode['def_func'];
  $bx_abcode['abcode_pattern'] = '';
  $bx_abcode['abcode_result'] = '';
  $bx_abcode['abcode_file'] = '';
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_create'];
}
elseif(!empty($error)) {
  echo $message;
}
else {
  echo $bx_lang['create_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_form(1,'abcode_create','abcode','create',1);
  echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'leftc');
  echo bx_icon('completion') . $bx_lang['function'] . ' *';
  echo bx_html_roco(2,'leftb',0,2);
	$abc[0]['abcode_func'] = 'img';
	$abc[0]['name'] = $bx_lang['img'];
	$abc[1]['abcode_func'] = 'str';
	$abc[1]['name'] = $bx_lang['str'];
	echo bx_dropdown('abcode_func','name',$abc,$bx_abcode['abcode_func']);
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('cell_edit') . $bx_lang['pattern'] . ' *';
	echo bx_html_roco(2,'leftb');
  echo bx_html_input('abcode_pattern',$bx_abcode['abcode_pattern'],'text',40,40);
  echo bx_html_roco(0);

	
	echo bx_html_roco(1,'leftc');
  echo bx_icon('cell_layout') . $bx_lang['result'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('abcode_result',$bx_abcode['abcode_result'],'text',40,40);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('download_manager') . $bx_lang['pic_up'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('picture','','file');
	echo bx_html_br(2);
	$matches[1] = $bx_lang['pic_infos'];
	$return_types = '';
	foreach($img_filetypes AS $add) {
		$return_types .= empty($return_types) ? $add : ', ' . $add;
	}
	$matches[2] = $bx_lang['max_width'] . $op_abcode['max_width'] . ' px' . bx_html_br(1);
	$matches[2] .= $bx_lang['max_height'] . $op_abcode['max_height'] . ' px' . bx_html_br(1);
	$matches[2] .= $bx_lang['max_size'] . bx_filesize($op_abcode['max_size']) . bx_html_br(1);
	$matches[2] .= $bx_lang['filetypes'] . $return_types;
	echo bx_abcode_clip($matches);
  echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['create'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}
else {

  $abcode_cells = array_keys($bx_abcode);
  $abcode_save = array_values($bx_abcode);
  bx_sql_insert(__FILE__,'abcode',$abcode_cells,$abcode_save);

	if(!empty($_FILES['picture']['tmp_name'])) {
  	$where = "abcode_pattern = '" . bx_sql_escape($bx_abcode['abcode_pattern']) . "'";
  	$getid = bx_sql_select(__FILE__,'abcode','abcode_id',$where);
		$filename = 'picture-' . $getid['abcode_id'] . '.' . $extension;
  	bx_upload('abcode',$filename,$_FILES['picture']['tmp_name']);
		
		$bx_abcode2['abcode_file'] = $filename;
	  $abcode2_cells = array_keys($bx_abcode2);
		$abcode2_save = array_values($bx_abcode2);			
		bx_sql_update(__FILE__,'abcode',$abcode2_cells,$abcode2_save,$getid['abcode_id']);
  }
	
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'abcode','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>