<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 257 2006-08-25 23:59:00Z hajo $

$bx_lang = bx_translate('access','create');

$bx_access = bx_sql_select(__FILE__,'access','*');
unset($bx_access['access_id']);
$bx_access['access_name'] = '';

if(isset($_POST['submit'])) {

  foreach($bx_access AS $key => $value) {
    if(isset($_POST[$key])) {
      $bx_access[$key] = $_POST[$key];
    }
  }
  
  $error = 0;
  $errormsg = '';
  $name2 = str_replace(' ','',$bx_access['access_name']);
  $namechars = strlen($name2);
  if($namechars<4) {
    $error++;
    $errormsg .= $bx_lang['short_name'] . bx_html_br(1);
  }

  $where = "access_name = '" . bx_sql_escape($bx_access['access_name']) . "'";
  $search_name = bx_sql_count(__FILE__,'access',$where);
  if(!empty($search_name)) {
    $error++;
    $errormsg .= $bx_lang['name_exists'] . bx_html_br(1);
  }
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_create'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
else {
  echo $bx_lang['create_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_form(1,'access_create','access','create');
  echo bx_html_table(1,'forum',1);
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('access') . $bx_lang['name'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('access_name',$bx_access['access_name'],'text',40,40);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('package_system') . bx_link('BXCP','bxcp','mods_view','dir=bxcp');
  echo bx_html_roco(2,'leftb');
  echo bx_html_select(1,'access_bxcp');
  $sel = array(0 => 0,3 => 0,4 => 0,5 => 0);
  if(isset($_POST['submit'])) {
    $bx_access['access_bxcp'] == 3 ? $sel[3] = 1 : $sel[3] = 0;
    $bx_access['access_bxcp'] == 4 ? $sel[4] = 1 : $sel[4] = 0;
    $bx_access['access_bxcp'] == 5 ? $sel[5] = 1 : $sel[5] = 0;
  }
  echo bx_html_option('0 - ' . $bx_lang['bxcp_0'],0,0);
  echo bx_html_option('3 - ' . $bx_lang['bxcp_3'],3,$sel[3]);
  echo bx_html_option('4 - ' . $bx_lang['bxcp_4'],4,$sel[4]);
  echo bx_html_option('5 - ' . $bx_lang['bxcp_5'],5,$sel[5]);
  echo bx_html_select(0);
  echo bx_html_roco(0);

  $modules = bx_checkdirs('mods');  
  foreach($modules as $mod) {
    $acc_dir = 'access_' . $mod['dir'];
    if(array_key_exists($acc_dir,$bx_access) AND $mod['dir'] != 'bxcp') {
      echo bx_html_roco(1,'leftc');
      if(!empty($mod['icon'])) {
        echo bx_icon($mod['icon']); 
      }
			echo bx_link($mod['name'],'bxcp','mods_view','dir=' . $mod['dir']);
	    echo bx_html_roco(2,'leftb');
      echo bx_html_select(1,$acc_dir);
      $levels = 0;
      $sel = 0;
      while($levels < 6) {
        if(isset($_POST['submit'])) {
          $bx_access[$acc_dir] == $levels ? $sel = 1 : $sel = 0;
        }
        echo bx_html_option($levels . ' - ' . $bx_lang['lev_' . $levels],$levels,$sel);
        $levels++;
      }
      echo bx_html_select(0);
      echo bx_html_roco(0);
    }
  }
      
  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['create'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}
else {
  $access_cells = array_keys($bx_access);
  $access_save = array_values($bx_access);
  bx_sql_insert(__FILE__,'access',$access_cells,$access_save);
  
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'access','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>