<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('board','create');

require_once('mods/categories/functions.php');
$bx_board['board_time'] = bx_time();
$bx_board['users_id'] = $account['users_id'];

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftb');

if(isset($_POST['submit']) OR isset($_POST['preview'])) 
{

	$bx_board['categories_id'] = empty($_POST['categories_name']) ? $_POST['categories_id'] : 
	bx_categories_create('board',$_POST['categories_name']);
	$bx_board['board_access'] = $_POST['board_access'];
	$bx_board['board_name'] = $_POST['board_name'];
	$bx_board['board_text'] = $_POST['board_text'];
	$bx_board['board_pwd'] = $_POST['board_pwd'];

	$error = 0;
	$errormsg = '';

	if(empty($bx_board['categories_id'])) 
	{
		$error++;
		$errormsg .= $bx_lang['no_cat'] . bx_html_br(1);
	}
	if(empty($bx_board['board_name']))
	{
		$error++;
		$errormsg .= $bx_lang['no_name'] . bx_html_br(1);
	}
	if(empty($bx_board['board_text'])) 
	{
		$error++;
		$errormsg .= $bx_lang['no_text'] . bx_html_br(1);
	}
}
else 
{
	$bx_board['categories_id'] = 0;
	$bx_board['board_name'] = '';
	$bx_board['board_access'] = 0;
	$bx_board['board_text'] = ''; 
	$bx_board['board_pwd'] = '';
}
if(!isset($_POST['submit']) AND !isset($_POST['preview'])) 
{
	echo $bx_lang['body_create'];
}
elseif(!empty($error)) 
{
	echo $errormsg;
}
elseif(isset($_POST['preview']))
{
	echo $bx_lang['preview'];
}
else 
{
	echo $bx_lang['create_done'];
}

echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(isset($_POST['preview']) AND empty($error)) 
{
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'leftb',0,0,15);
	if(empty($bx_board['board_pwd']))
		echo bx_icon('tutorials');
	else
		echo bx_icon('password');	
	echo bx_html_roco(2,'leftc');
	echo bx_html_big(1);
	echo bx_link(bx_secure($bx_board['board_name']),'board','listcat','where='); 
	echo bx_html_big(0);
	echo bx_html_br(1);
	echo bx_secure($bx_board['board_text'],1);
	echo bx_html_roco(3,'leftb');
	echo '0';
	echo bx_html_roco(4,'leftc');
	echo '0';
	echo bx_html_roco(5,'leftb');
	echo '0';
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_br(1);
}

if(!empty($error) OR isset($_POST['preview']) OR !isset($_POST['submit'])) 
{
	echo bx_html_form (1,'board_create','board','create');
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'leftc');
	echo bx_icon('kedit') . $bx_lang['name'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('board_name',$bx_board['board_name'],'text',200,50);
	echo bx_html_roco(0);
  
	echo bx_html_roco(1,'leftc');
	echo bx_icon('folder_yellow') . $bx_lang['category'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_categories_dropdown('board',$bx_board['categories_id']);
  	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('kate') . $bx_lang['text'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_abcode_features('board_text');
	echo bx_html_textarea('board_text',$bx_board['board_text'],'50','5');
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('access') . $bx_lang['access'] . ' *';
	echo bx_html_roco(2,'leftb',0,2);
	echo bx_html_select(1,'board_access');
	$levels = 0;
	$sel = 0;
	while($levels < 6) 
	{
		$bx_board['board_access'] == $levels ? $sel = 1 : $sel = 0;
		echo bx_html_option($levels . ' - ' . $bx_lang['lev_' . $levels],$levels,$sel);
		$levels++;
	}
	echo bx_html_select(0);
	echo bx_html_roco(0);  
	
	echo bx_html_roco(1,'leftc');
	echo bx_icon('password') . $bx_lang['password'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('board_pwd',$bx_board['board_pwd'],'password',30,30) .bx_html_br(1). $bx_lang['password1'];
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('ksysguard') . $bx_lang['options'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_vote('submit',$bx_lang['create'],'submit');
	echo bx_html_vote('preview',$bx_lang['preview'],'submit');
	echo bx_html_vote('reset',$bx_lang['reset'],'reset');
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_form(0);
}
else 
{
	global $bx_db;
	if(!empty($bx_board['board_pwd']))
	{
  		if($bx_db['hash'] == 'md5') { 
    			$bx_board['board_pwd'] = md5($bx_board['board_pwd']);
  		}
       		elseif($bx_db['hash'] == 'sha1') { 
   			$bx_board['board_pwd'] = sha1($bx_board['board_pwd']);
  		}
	}
	$board_cells = array_keys($bx_board);
	$board_save = array_values($bx_board);
	bx_sql_insert(__FILE__,'board',$board_cells,$board_save);

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerc');
	echo bx_link($bx_lang['continue'],'board','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
} 
?>