<?php

function getNextThread($catid, $threadid)
{
	settype($catid,'integer');
	$select = 'threads_id, board_id, threads_important, threads_last_time';
	$from = 'threads';
	$where = "board_id = '" . $catid . "'";
	$tlist = bx_sql_select(__FILE__,$from,$select,$where,0,0,0);
	$array = array();
	
	for($i=0; $i<sizeof($tlist); $i++)
	{
		//echo substr($tlist[$i]['threads_last_time'],0,strpos($tlist[$i]['threads_last_time'],'/')) . "<br />";
		//ERROR CATCHING - THE FIRST
		if($threadid == $tlist[$i]['threads_id'] )
		{
			if(sizeof($tlist) == $i+1)
				$array[1] = -1;
			else
				$array[1] = $tlist[$i+1]['threads_id'];	
				
			if($i==0)
				$array[0] = -1;
			else
				$array[0] = $tlist[$i-1]['threads_id'];	
		}
	}
	return $array;
}

//-----------------------------------------------------------------------------
// Error Page for Errors(depending on language file)
//-----------------------------------------------------------------------------
function errorPage($bx_lang)
{
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'headb');
	echo $bx_lang['error_header'];
	echo bx_html_roco(0);
	
	echo bx_html_roco(1,'centerc');
	echo bx_html_big(1);
	echo $bx_lang['error_subheader'];
	echo bx_html_big(0);
	echo bx_html_br(1);
	echo $bx_lang['error_text'];
	echo bx_html_br(2);
	echo bx_link($bx_lang['error_back'],'board','list');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}
//-----------------------------------------------------------------------------
// User Data Functions
//-----------------------------------------------------------------------------

function getUserAvatar($avatar = '')
{
	global $bx_main;
	if(!empty($avatar))
	{
		$place = 'uploads/board/' . $avatar;
		$size = getimagesize($bx_main['def_path'] . '/' . $place);
		$avatar = bx_html_img($place,$size[1],$size[0]) . bx_html_br(1);
	}
	return $avatar;
}

function getUserIcons($bx_lang,$nick,$email=0,$icq=0, $msn=0, $url=0)
{
	global $account;
	$icons = "";
	if (!empty($email))
		$icons .= bx_html_link("mailto:" . bx_secure($email),bx_icon('mail_generic'));
	if ($account['access_id'] >= 2) 
		$icons .= bx_link(bx_icon('kontact'),'messages','create',"to=" . $nick);
	if (!empty($icq))
		$icons .= bx_html_link("http://wwp.icq.com/scripts/search.dll?to=$icq",bx_icon('licq'));
	if (!empty($msn))
		$icons .= bx_html_link("http://members.msn.com/" .$msn,bx_icon('msn_protocol')); 
	if (!empty($url)) 
		$icons .= bx_html_link("http://".$url,bx_icon('html'));
	return $icons;
}

function getUserPlace($bx_lang, $place = "")
{
	if(!empty($place))
		$place = $bx_lang['place'] . ': ' . bx_secure($place);
	return $place;
}

function getUserPosts($id)
{
	$cnt =0;
	$cnt =  bx_sql_count(__FILE__,'comments',"users_id='". $id  ."'"); // Comments
	$cnt += bx_sql_count(__FILE__,'threads' ,"users_id='". $id  ."'"); //Threads
	return $cnt;
}

function getUserRank($posts,$data)
{
	$rank = 0;
	for($i=0;$i<sizeof($data);$i++)
	{
		if($data[$i]['boardranks_min'] < $posts)
		{
			if($i == 0)
				$range_bottom = 0;
			else
				$range_bottom = $data[$i]['boardranks_min'];
			if((sizeof($data)-1) == $i) // Wenn es der letzte rang i
				return bx_html_img("mods/board/rankimg.php?width=100");
			else
				$range_top = $data[$i+1]['boardranks_min'];
			if($posts < $range_top)
			{
				$rank = $range_top - $range_bottom;
				$posts = $posts - $range_bottom;
				$rank = (100 / $rank) * $posts;
				break;
			}
		}	
	}
	$ranking = bx_html_img("mods/board/rankimg.php?width=" .$rank);
	return $ranking;
}

function getUserSignature($signature = '')
{
	if(!empty($signature))
	{
		$signature = bx_html_br(2) . "------------------". bx_html_br(1) . bx_secure($signature,1,1); //Formatierungen :D
	}	
	return $signature;
}

function getUserStatus($laston=0,$onlytext=0) //
{
	$on_now = bx_time() - 300; 
	$on_week = bx_time() - 604800;
	$icon = 'red';
	$text = bx_html_div(1,'color:maroon; padding-top:4px; padding-bottom:4px;') . "Offline";
	if($on_now <= $laston)
	{
		$icon = 'green';
		$text = bx_html_div(1,'color:#00FF00; padding-top:4px; padding-bottom:4px;') . "Online";
	}
	if($on_week >= $laston )
		$icon = 'grey';
	$text .= bx_html_div(0);
	if($onlytext == 1)
		return $text;
	else if($onlytext == 2)
		return bx_html_img('symbols/bxcp/' . $icon . '.gif') . "  " . $text;
	else
		return bx_html_img('symbols/bxcp/' . $icon . '.gif');
}

function getReducedTitle($temp, $str)
{
	if(strlen($temp) > $str)
	{
		$temp = substr($temp,0,$str - 1);
		$cache = strrchr($temp," ");
		
		$temp = substr($temp,0,strlen($temp) - (strlen($cache)));
		$temp .= "...";
	}
	return $temp;
} 
//-----------------------------------------------------------------------------
function getRankTitle($posts, $data)
{
//	print_r ($data);
	// print_r ($posts);
	foreach ($data as $value)
	{
		if($posts >= $value['boardranks_min'])
		{
			$rank = $value['boardranks_name'];
		}	
	}
	return $rank;
}

function checkLastEdit($string ,$bx_lang ,$offset = 0)
{
	$sub_result = explode('/', $string);
	//Eigentlich wrde ne Zahl oder Bool reichen, aber damit kann ich die Daten weiterverwenden
	if(empty($offset))
	{
		$result = bx_html_italic(1);
		$result .= $bx_lang['last_edit_by'];
		$result .= ' '.bx_link($sub_result[1],'users','view','id=' .$sub_result[0]);
		$result .= ' '.$bx_lang['at'];
		$result .= ' '.bx_date('unix',$sub_result[2],1);
		$result .= ' ('.$sub_result[3].'x '.$bx_lang['overall_edit'].')';
		$result .= bx_html_italic(0);
		return $result;
	}
	else
		return $sub_result;
}

?>