<?php
// bx clanportal - www.bxcp.com
// $Id: lang_view.php 273 2006-08-27 20:07:27Z hajo $

$bx_lang = bx_translate('bxcp','lang_view');

$dir = empty($_GET['dir']) ? '' : $_GET['dir'];
if(empty($dir) OR !preg_match("=^[_a-z0-9-]+$=i",$dir)) { 
	$dir = $bx_main['def_lang'];
}

$lang_diff = $dir == 'German' ? 'English' : 'German';

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo 'BXCP - ' . $bx_lang['head_lang_view'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftb');
echo $bx_lang['body_lang_view'];
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

include('lang/' . $dir . '/info.php');

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'leftc',0,0,'140px');
echo bx_icon('kedit') . $bx_lang['mod_name'];
echo bx_html_roco(2,'leftb');
echo $mod_info['name'];
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_icon('kate') . $bx_lang['mod_version'];
echo bx_html_roco(2,'leftb');
echo $mod_info['version'];
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_icon('1day') . $bx_lang['mod_released'];
echo bx_html_roco(2,'leftb');
echo bx_date('date',$mod_info['released']);
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_icon('personal') . $bx_lang['mod_creator'];
echo bx_html_roco(2,'leftb');
echo $mod_info['creator'];
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_icon('kuser') . $bx_lang['mod_team'];
echo bx_html_roco(2,'leftb');
echo $mod_info['team'];
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_icon('gohome') . $bx_lang['mod_url'];
echo bx_html_roco(2,'leftb');
echo bx_html_link('http://' . $mod_info['url'],$mod_info['url']);
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_icon('kate') . $bx_lang['mod_desc'];
echo bx_html_roco(2,'leftb');
echo $mod_info['text'];
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

$php_ok = version_compare(phpversion(),'5.1.0','>=');
$diff_count = 0;
$total_diff = $bx_lang['total_diff'];

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb',0,3);
echo $bx_lang['translation_status'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
echo $bx_lang['mod'];
echo bx_html_roco(2,'leftc');
echo $bx_lang['file'];
echo bx_html_roco(3,'leftc');
echo $bx_lang['diff'];
echo bx_html_roco(0);

$missing_file = $bx_lang['missing_file'];
$lang_mods = bx_checkdirs('mods');

foreach($lang_mods AS $mods) {

	$lang_dir = 'lang/' . $lang_diff . '/' . $mods['dir'];
	$mod_files = bx_paths($lang_dir);
	foreach($mod_files AS $file => $zero) {
		$diff = 0;
		$target = '/' . $mods['dir'] . '/' . $file;
		if(file_exists('lang/' . $lang_diff . $target)) {
			$bx_lang = array();
			include('lang/' . $lang_diff . $target);
			$bx_lang_default = $bx_lang;
			if(file_exists('lang/' . $dir . $target)) {
				if(!empty($php_ok)) {
					$bx_lang = array();
					include('lang/' . $dir . $target);
					$diff = array_diff_key($bx_lang_default,$bx_lang);
					if(!empty($diff)) {
						$var = '';
						foreach($diff AS $out => $res) {
							$var .= $out . ', ';
						}
						$diff = substr($var,0,-2);
					}
				}
			}
			else {
				$diff = $missing_file;
			}
		}
		if(!empty($diff)) {
			$diff_count++;
			echo bx_html_roco(1,'leftb');
			echo $mods['name'];
			echo bx_html_roco(2,'leftb');
			echo $file;
			echo bx_html_roco(3,'leftb');
			echo $diff;
			echo bx_html_roco(0);
		}
	}
}
echo bx_html_roco(1,'centerb',0,3);
echo sprintf($total_diff,$diff_count);
echo bx_html_roco(0);
echo bx_html_table(0);

?>
