<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('events','create');

require_once('mods/categories/functions.php');

if(isset($_POST['submit'])) {

  $bx_events['categories_id'] = empty($_POST['categories_name']) ? $_POST['categories_id'] : 
	bx_categories_create('events',$_POST['categories_name']);

  $bx_events['events_name'] = $_POST['events_name'];
  $bx_events['events_url'] = $_POST['events_url'];
  $bx_events['events_more'] = $_POST['events_more'];
	$bx_events['events_time'] = bx_datepost('time','unix');

  $error = 0;
  $errormsg = '';

  if(empty($bx_events['events_name'])) {
    $error++;
    $errormsg .= $bx_lang['no_name'] . bx_html_br(1);
  }
  if(empty($bx_events['categories_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_cat'] . bx_html_br(1);
  }
  if(empty($bx_events['events_time'])) {
    $error++;
    $errormsg .= $bx_lang['no_date'] . bx_html_br(1);
  }
}
else {
  $bx_events['events_name'] = '';
  $bx_events['categories_id'] = 0;
  $bx_events['events_time'] = bx_time();
  $bx_events['events_url'] = '';
  $bx_events['events_more'] = '';
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_create'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
else {
  echo $bx_lang['create_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_form (1,'events_create','events','create');
  echo bx_html_table(1,'forum',1);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('kalarm') . $bx_lang['name'] . ' *';
  echo bx_html_roco(2,'leftb');
	echo bx_html_input('events_name',$bx_events['events_name'],'text',40,40);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
	echo bx_icon('folder_yellow') . $bx_lang['category'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_categories_dropdown('events',$bx_events['categories_id']);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('1day') . $bx_lang['date'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_dateselect('time','unix',$bx_events['events_time'],1995);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('gohome') . $bx_lang['url'];
  echo bx_html_roco(2,'leftb',0,2);
  echo 'http://' . bx_html_input('events_url',$bx_events['events_url'],'text',80,50);
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('kate') . $bx_lang['more'];
  echo bx_html_br(2);
  echo bx_abcode_smileys('events_more');
	echo bx_html_roco(2,'leftb');
  echo bx_abcode_features('events_more');
	echo bx_html_textarea('events_more',$bx_events['events_more'],'50','8');
	echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['create'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}
else {

  $events_cells = array_keys($bx_events);
  $events_save = array_values($bx_events);
  bx_sql_insert(__FILE__,'events',$events_cells,$events_save);

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'events','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>