<?php
// bx clanportal - www.bxcp.com
// $Id: settings.php 315 2006-09-08 21:07:34Z hajo $

$bx_lang = bx_translate('install','settings');

if(isset($_POST['create']) OR isset($_POST['view'])) {

	$bx_db['hash'] = $_POST['hash'];
	$bx_db['type'] = $_POST['type'];
	$bx_db['place'] = $_POST['place'];
	$bx_db['user'] = $_POST['user'];
	$bx_db['pwd'] = $_POST['pwd'];
	$bx_db['name'] = $_POST['name'];
	$bx_db['prefix'] = $_POST['prefix'];
	$log['save_actions'] = !empty($_POST['save_actions']) ? $_POST['save_actions'] : 0;
	$log['save_errors'] = !empty($_POST['save_errors']) ? $_POST['save_errors'] : 0;

  $error = 0;
  $errormsg = '';

  if(empty($bx_db['hash'])) {
    $error++;
    $errormsg .= $bx_lang['no_hash'] . bx_html_br(1);
  }
  if(empty($bx_db['type'])) {
    $error++;
    $errormsg .= $bx_lang['no_type'] . bx_html_br(1);
  }
  if(empty($bx_db['name'])) {
    $error++;
    $errormsg .= $bx_lang['no_name'] . bx_html_br(1);
  }
	if(!preg_match("=^[a-z0-9]+$=i",$bx_db['prefix'])) {
	  $error++;
    $errormsg .= $bx_lang['prefix_err'] . bx_html_br(1);
  }
	if(empty($error)) {
	
		$dberr = '';
		if($bx_db['type'] == 'mysql') {
			$bx_db['con'] = @mysql_connect($bx_db['place'],$bx_db['user'],$bx_db['pwd']) OR 
				$dberr = mysql_error();
			if(empty($dberr)) {
				mysql_select_db($bx_db['name']) OR $dberr = mysql_error($bx_db['con']);
			}
		}
		elseif($bx_db['type'] == 'mysqli') {
			$bx_db['con'] = @mysqli_connect($bx_db['place'],$bx_db['user'],$bx_db['pwd'],$bx_db['name']) OR 
				$dberr = mysqli_connect_error();
		}
		elseif($bx_db['type'] == 'pgsql') {
			$connect = empty($bx_db['place']) ? '' : 'host=' . $bx_db['place'] . ' ';
			$connect .= 'dbname=' . $bx_db['name'];
			$connect .= ' user=' . $bx_db['user'] . ' password=' . $bx_db['pwd'];
			ini_set('track_errors', 1);
			$bx_db['con'] = @pg_connect($connect) OR $dberr = $php_errormsg;
			ini_set('track_errors', 0);
		}
		elseif($bx_db['type'] == 'mssql') {
			ini_set('track_errors', 1);
			$bx_db['con'] = @mssql_connect($bx_db['place'],$bx_db['user'],$bx_db['pwd']) OR 
				$dberr = $php_errormsg;
			ini_set('track_errors', 0);
			if(empty($dberr)) {
				mssql_select_db($bx_db['name'],$bx_db['con']) OR $dberr = mssql_get_last_message();
			}
		}
		elseif($bx_db['type'] == 'sqlite') {
			function bx_sqlite_error($resource) {
				$error_code = sqlite_last_error($resource);
				return sqlite_error_string($error_code);
			}
			$bx_db['con'] = @sqlite_open($bx_db['name']) OR $dberr = bx_sqlite_error($bx_db['con']);
		}
		elseif(preg_match('=pdo_=',$bx_db['type'])) {

			require('mods/install/pdo_check.php');
		}
	}
	if(!empty($dberr)) {
		$error++;
		$errormsg = $bx_lang['db_err'] . ' ' . $dberr;
	}
	if(empty($error)) {

		$setup_php = "<?php\n\n\$bx_db['hash'] = '" . $bx_db['hash'] . "'; # don't change!\n";
		$setup_php .= "\$bx_db['type'] = '" . $bx_db['type'] . "';\n";
		$setup_php .= "\$bx_db['place'] = '" . $bx_db['place'] . "';\n";
		$setup_php .= "\$bx_db['user'] = '" . $bx_db['user'] . "';\n";
		$setup_php .= "\$bx_db['pwd'] = '" . $bx_db['pwd'] . "';\n";
		$setup_php .= "\$bx_db['name'] = '" . $bx_db['name'] . "';\n";
		$setup_php .= "\$bx_db['prefix'] = '" . $bx_db['prefix'] . "';\n\n";
		$setup_php .= "\$bx_logs['save_actions'] = " . $log['save_actions'] . ";\n";
		$setup_php .= "\$bx_logs['save_errors'] = " . $log['save_errors'] . ";\n\n?>";

		if(isset($_POST['create'])) {
			$flerr = 0;
			$create_setup = fopen('setup.php','w') OR $flerr++;
			fwrite($create_setup,$setup_php) OR $flerr++;
			fclose($create_setup) OR $flerr++;
		}
		if(!empty($flerr)) {
			$error++;
			$errormsg = $bx_lang['file_err'];
		}
	}
}
else {

	$bx_db = array('hash' => '', 'type' => '', 'place' => 'localhost',
	'user' => '', 'pwd' => '', 'name' => '', 'prefix' => 'bxcp');
	$log = array('save_actions' => 0, 'save_errors' => 0);
}

$setup_exists = file_exists('setup.php') ? 1 : 0;

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_settings'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!empty($error)) {
  echo $errormsg;
}
elseif(isset($_POST['create']) AND !empty($setup_exists)) {
  echo $bx_lang['create_done'];
}
elseif(!empty($setup_exists)) {
  echo $bx_lang['setup_exists'];
}
else {
  echo $bx_lang['body_settings'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($setup_exists)) {
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'install','sql','lang=' . $account['users_lang']);
	echo bx_html_roco(0);
	echo bx_html_table(0);
}
elseif(isset($_POST['view']) AND empty($error)) {
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'headb');
	echo 'setup.php';
	echo bx_html_roco(0);
	echo bx_html_roco(1,'leftc');
	echo bx_html_textarea('setup_php',$setup_php,'50','15',1);
	echo bx_html_roco(0);
	echo bx_html_roco(1,'leftb');
	echo $bx_lang['save_file'];
	echo bx_html_roco(0);
	echo bx_html_table(0);
}
else {
	echo bx_html_form(1,'install_settings','install','settings');
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'leftc');
	echo $bx_lang['hash'] . ' *';
	echo bx_html_roco(2,'leftb');
	$hash[0]['hash'] = 'md5';
	$hash[0]['name'] = 'Md5 = Message-Digest Algorithm';
	$hash[1]['hash'] = 'sha1';
	$hash[1]['name'] = 'Sha1 = Secure Hash Algorithm 1';
	echo bx_dropdown('hash','name',$hash,$bx_db['hash']);
	echo bx_html_br(1);
	echo $bx_lang['hash_info'];
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo $bx_lang['type'] . ' *';
	echo bx_html_roco(2,'leftb');

	$run = 0;
	if(extension_loaded('mssql')) {
		$type[$run]['type'] = 'mssql';
		$type[$run]['name'] = 'Microsoft SQL Server (mssql)';
		$run++;
	}
	if(extension_loaded('mysql')) {
		$type[$run]['type'] = 'mysql';
		$type[$run]['name'] = 'MySQL (mysql)';
		$run++;
	}
	if(extension_loaded('mysqli')) {
		$type[$run]['type'] = 'mysqli';
		$type[$run]['name'] = 'MySQL (mysqli)';
		$run++;
	}
	if(extension_loaded('pgsql')) {
		$type[$run]['type'] = 'pgsql';
		$type[$run]['name'] = 'PostgreSQL (pgsql)';
		$run++;
	}
	if(extension_loaded('sqlite')) {
		$type[$run]['type'] = 'sqlite';
		$type[$run]['name'] = 'SQLite 2 (sqlite)';
		$run++;
	}
	if(extension_loaded('pdo')) {

		if(extension_loaded('pdo_mysql')) {
			$type[$run]['type'] = 'pdo_mysql';
			$type[$run]['name'] = 'MySQL (pdo_mysql)';
			$run++;
		}
		if(extension_loaded('pdo_pgsql')) {
			$type[$run]['type'] = 'pdo_pgsql';
			$type[$run]['name'] = 'PostgreSQL (pdo_pgsql)';
			$run++;
		}
		if(extension_loaded('pdo_sqlite')) {
			$type[$run]['type'] = 'pdo_sqlite';
			$type[$run]['name'] = 'SQLite 3 (pdo_sqlite)';
		}
	}
	echo bx_dropdown('type','name',$type,$bx_db['type']);
	echo bx_html_br(1);
	echo $bx_lang['type_info'];
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo $bx_lang['place'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('place',$bx_db['place'],'text',200,50);
	echo bx_html_br(1);
	echo $bx_lang['place_info'];
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo $bx_lang['name'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('name',$bx_db['name'],'text',80,40);
	echo bx_html_br(1);
	echo $bx_lang['sqlite_info'];
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo $bx_lang['prefix'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('prefix',$bx_db['prefix'],'text',8,8);
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo $bx_lang['user'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('user',$bx_db['user'],'text',50,25);
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo $bx_lang['pwd'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('pwd',$bx_db['pwd'],'password',50,25);
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo $bx_lang['more'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_vote('save_actions','1','checkbox',$log['save_actions']);
	echo $bx_lang['save_actions'];
	echo bx_html_br(1);
	echo bx_html_vote('save_errors','1','checkbox',$log['save_errors']);
	echo $bx_lang['save_errors'];
	echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
  echo $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
	echo bx_html_input('lang',$account['users_lang'],'hidden');
  echo bx_html_vote('create',$bx_lang['create'],'submit');
  echo bx_html_vote('view',$bx_lang['view'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}

?>