<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('news','create');

require_once('mods/categories/functions.php');
$bx_news['users_id'] = $account['users_id'];

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftb');

if(isset($_POST['submit']) OR isset($_POST['preview'])) {

  $bx_news['categories_id'] = empty($_POST['categories_name']) ? $_POST['categories_id'] : 
	bx_categories_create('news',$_POST['categories_name']);

	$bx_news['news_time'] = bx_time();
	$bx_news['news_close'] = isset($_POST['news_close']) ? $_POST['news_close'] : 0;
	$bx_news['news_public'] = isset($_POST['news_public']) ? $_POST['news_public'] : 0;
	$bx_news['news_attached'] = isset($_POST['news_attached']) ? $_POST['news_attached'] : 0;
	$bx_news['news_headline'] = $_POST['news_headline'];
	$bx_news['news_text'] = $_POST['news_text'];

  $error = 0;
  $errormsg = '';

  if(empty($bx_news['categories_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_cat'] . bx_html_br(1);
  }
  if(empty($bx_news['news_headline'])) {
    $error++;
    $errormsg .= $bx_lang['no_headline'] . bx_html_br(1);
  }
  if(empty($bx_news['news_text'])) {
    $error++;
    $errormsg .= $bx_lang['no_text'] . bx_html_br(1);
  }
	$flood = bx_sql_select(__FILE__,'news','news_time',0,'news_time DESC');
	$maxtime = $flood['news_time'] + $bx_main['def_flood'];
	if($maxtime > bx_time()) {
		$error++;
		$diff = $maxtime - bx_time();
		$errormsg .= sprintf($bx_lang['flood_on'], $diff);
	}
}
else {
	$bx_news['news_close'] = 0;
	$bx_news['news_public'] = 0;
	$bx_news['news_attached'] = 0;
	$bx_news['categories_id'] = 0;
	$bx_news['news_headline'] = '';
	$bx_news['news_text'] = '';
}
if(!isset($_POST['submit']) AND !isset($_POST['preview'])) {
  echo $bx_lang['body_create'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
elseif(isset($_POST['preview'])) {
  echo $bx_lang['preview'];
}
else {
  echo $bx_lang['create_done'];
}

echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(isset($_POST['preview']) AND empty($error)) {

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'newshead');
	echo bx_secure($bx_news['news_headline']);
	echo bx_html_roco(0);
	
	echo bx_html_roco(1,'bottom');
  echo bx_date('unix',$bx_news['news_time'],1);
	echo ' - ';
	$bx_news_user = bx_sql_select(__FILE__,'users','users_nick',"users_id = '" . $bx_news['users_id'] . "'");
	$bx_news_user = bx_secure($bx_news_user['users_nick']);
	echo bx_link($bx_news_user,'users','view','id=' . $bx_news['users_id']);
	echo bx_html_roco(0);
	
	echo bx_html_roco(1,'leftb');
	$cat_search = "categories_id = '" . $bx_news['categories_id'] . "'";
	$bx_cat = bx_sql_select(__FILE__,'categories','categories_picture',$cat_search);
	if(!empty($bx_cat['categories_picture'])) {
  	$place = 'uploads/categories/' . $bx_cat['categories_picture'];
  	echo bx_html_img($place,0,0,"style=\"float:right\"");
	}
	echo bx_secure($bx_news['news_text'],1,1);
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_br(2);
}

if(!empty($error) OR isset($_POST['preview']) OR !isset($_POST['submit'])) {

  echo bx_html_form (1,'news_create','news','create');
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'leftc');
	echo bx_icon('kedit') . $bx_lang['headline'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_html_input('news_headline',$bx_news['news_headline'],'text',200,50);
	echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
	echo bx_icon('folder_yellow') . $bx_lang['category'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_categories_dropdown('news',$bx_news['categories_id']);
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('kate') . $bx_lang['text'] . ' *';
  echo bx_html_br(2);
  echo bx_abcode_smileys('news_text');
	echo bx_html_roco(2,'leftb');
  echo bx_abcode_features('news_text');
	echo bx_html_textarea('news_text',$bx_news['news_text'],'50','20');
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('configure') . $bx_lang['more'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_vote('news_close','1','checkbox',$bx_news['news_close']);
	echo $bx_lang['close'];
	echo bx_html_br(1);
	echo bx_html_vote('news_public','1','checkbox',$bx_news['news_public']);
	echo $bx_lang['public'];
	echo bx_html_br(1);
	echo bx_html_vote('news_attached','1','checkbox',$bx_news['news_attached']);
	echo $bx_lang['attached'];
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('ksysguard') . $bx_lang['options'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_vote('submit',$bx_lang['create'],'submit');
	echo bx_html_vote('preview',$bx_lang['preview'],'submit');
	echo bx_html_vote('reset',$bx_lang['reset'],'reset');
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_form(0);
}
else {

  $news_cells = array_keys($bx_news);
  $news_save = array_values($bx_news);
  bx_sql_insert(__FILE__,'news',$news_cells,$news_save);

	if(!empty($bx_news['news_public'])) {
		include_once('mods/news/rss.php');
	}
  
  echo bx_html_table(1,'forum',1);
  echo bx_html_roco(1,'centerc');
	echo bx_link($bx_lang['continue'],'news','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
} 

?>