<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('replays','create');

$rep_max['size'] = 8388600;
$rep_filetypes = array('zip','rep','w3g');

require_once('mods/categories/functions.php');

if(isset($_POST['submit'])) {

  $bx_replays['categories_id'] = empty($_POST['categories_name']) ? $_POST['categories_id'] : 
	bx_categories_create('replays',$_POST['categories_name']);

  $bx_replays['games_id'] = $_POST['games_id'];
	$bx_replays['replays_version'] = $_POST['replays_version'];
  $bx_replays['replays_team1'] = $_POST['replays_team1'];
  $bx_replays['replays_team2'] = $_POST['replays_team2'];
	$bx_replays['replays_date'] = bx_datepost('date','date');
  $bx_replays['replays_map'] = $_POST['replays_map'];
  $bx_replays['replays_mirrors'] = $_POST['replays_mirrors'];
  $bx_replays['replays_info'] = $_POST['replays_info'];
	$bx_replays['replays_close'] = isset($_POST['replays_close']) ? $_POST['replays_close'] : 0;

  $error = 0;
  $errormsg = '';

	if(!empty($_FILES['replay']['tmp_name'])) {
		$rep_size = filesize($_FILES['replay']['tmp_name']);
		$rep_ext = explode('.',$_FILES['replay']['name']);
		$who_ext = count($rep_ext) < 1 ? 0 : count($rep_ext) - 1;
		$extension = in_array($rep_ext[$who_ext],$rep_filetypes) ? $rep_ext[$who_ext] : 0;
	  if(empty($extension)) {

	    $errormsg .= $bx_lang['ext_error'] . bx_html_br(1);
			$error++;
	  }
	  if($_FILES['replay']['size']>$rep_max['size']) { 

	  	$errormsg .= $bx_lang['too_big'] . bx_html_br(1);
	  	$error++;
	  }
	}

  if(empty($bx_replays['games_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_game'] . bx_html_br(1);
  }
  if(empty($bx_replays['categories_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_cat'] . bx_html_br(1);
  }
  if(empty($bx_replays['replays_version'])) {
    $error++;
    $errormsg .= $bx_lang['no_version'] . bx_html_br(1);
  }
  if(empty($bx_replays['replays_team2'])) {
    $error++;
    $errormsg .= $bx_lang['no_team1'] . bx_html_br(1);
  }
  if(empty($bx_replays['replays_team2'])) {
    $error++;
    $errormsg .= $bx_lang['no_team2'] . bx_html_br(1);
  }
  if(empty($bx_replays['replays_date'])) {
    $error++;
    $errormsg .= $bx_lang['no_date'] . bx_html_br(1);
  }
}
else {
  $bx_replays['categories_id'] = 0;
  $bx_replays['games_id'] = 0;
	$bx_replays['replays_version'] = '';
  $bx_replays['replays_team1'] = '';
  $bx_replays['replays_team2'] = '';
	$bx_replays['replays_date'] = bx_datereal('Y-m-d');
  $bx_replays['replays_map'] = '';
  $bx_replays['replays_mirrors'] = '';
  $bx_replays['replays_info'] = '';
	$bx_replays['replays_close'] = 0;
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_create'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
else {
  echo $bx_lang['create_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_form (1,'replays_create','replays','create',1);
  echo bx_html_table(1,'forum',1);

  echo bx_html_roco(1,'leftc');
	echo bx_icon('folder_yellow') . $bx_lang['category'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_categories_dropdown('replays',$bx_replays['categories_id']);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('package_games') . $bx_lang['game'] . ' *';
  echo bx_html_roco(2,'leftb');
  $el_id = 'game_1';
  $onc = "document.getElementById('" . $el_id . "').src='uploads/games/' + this.form.";
  $onc .= "games_id.options[this.form.games_id.selectedIndex].value + '.gif'";
  echo bx_html_select(1,'games_id',"onchange=\"" . $onc . "\"");
	echo bx_html_option('----',0,0);
  $bx_games = bx_sql_select(__FILE__,'games','games_name,games_id',0,'games_name',0,0);
	$games_count = count($bx_games);
	for($run = 0; $run < $games_count; $run++) {
    $sel = $bx_games[$run]['games_id'] == $bx_replays['games_id'] ? 1 : 0;
    echo bx_html_option($bx_games[$run]['games_name'],$bx_games[$run]['games_id'],$sel);
  }
  echo bx_html_select(0) . ' ';
  $url = 'uploads/games/' . $bx_replays['games_id'] . '.gif';
  echo bx_html_img($url,0,0,'id="' . $el_id . '"');
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('kate') . $bx_lang['version'] . ' *';
  echo bx_html_roco(2,'leftb');
	echo bx_html_input('replays_version',$bx_replays['replays_version'],'text',40,20);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('kuser') . $bx_lang['team1'] . ' *';
  echo bx_html_roco(2,'leftb');
	echo bx_html_input('replays_team1',$bx_replays['replays_team1'],'text',80,40);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('yast_group_add') . $bx_lang['team2'] . ' *';
  echo bx_html_roco(2,'leftb');
	echo bx_html_input('replays_team2',$bx_replays['replays_team2'],'text',80,40);
  echo bx_html_roco(0);	

  echo bx_html_roco(1,'leftc');
  echo bx_icon('1day') . $bx_lang['date'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_dateselect('date','date',$bx_replays['replays_date'],1995);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('openterm') . $bx_lang['map'];
  echo bx_html_roco(2,'leftb',0,2);
	echo bx_html_input('replays_map',$bx_replays['replays_map'],'text',80,40);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('download_manager') . $bx_lang['upload'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('replay','','file');
	echo bx_html_br(2);
	$matches[1] = $bx_lang['rep_infos'];
	$return_types = '';
	foreach($rep_filetypes AS $add) {
		$return_types .= empty($return_types) ? $add : ', ' . $add;
	}
	$matches[2] = $bx_lang['max_size'] . bx_filesize($rep_max['size']) . bx_html_br(1);
	$matches[2] .= $bx_lang['filetypes'] . $return_types;
	echo bx_abcode_clip($matches);
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('download_manager') . $bx_lang['mirrors'];
  echo bx_html_br(2);
	echo $bx_lang['seperate_by_enter'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_textarea('replays_mirrors',$bx_replays['replays_mirrors'],'50','4');
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('documentinfo') . $bx_lang['info'];
  echo bx_html_br(2);
  echo bx_abcode_smileys('replays_info');
	echo bx_html_roco(2,'leftb');
  echo bx_abcode_features('replays_info');
	echo bx_html_textarea('replays_info',$bx_replays['replays_info'],'50','8');
	echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('configure') . $bx_lang['more'];
	echo bx_html_roco(2,'leftb');
	echo bx_html_vote('replays_close','1','checkbox',$bx_replays['replays_close']);
	echo $bx_lang['close'];
	echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['create'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}
else {

	$bx_replays['users_id'] = $account['users_id'];
	$bx_replays['replays_since'] = bx_time();
	
  $replays_cells = array_keys($bx_replays);
  $replays_save = array_values($bx_replays);
  bx_sql_insert(__FILE__,'replays',$replays_cells,$replays_save);

	if(!empty($_FILES['replay']['tmp_name'])) {
  	$where = "replays_team1 = '" . bx_sql_escape($bx_replays['replays_team1']) . "'";
		$order = 'replays_since DESC';
  	$getid = bx_sql_select(__FILE__,'replays','replays_id, replays_mirrors',$where,$order);
		$filename = 'replay-' . $getid['replays_id'] . '-' . bx_time() . '.' . $extension;
  	bx_upload('replays',$filename,$_FILES['replay']['tmp_name']);

		$replay_file = 'uploads/replays/' . $filename;
		$bx_replays2['replays_mirrors'] = empty($bx_replays2['replays_mirrors']) ? $replay_file : 
			$replay_file . "\n" . $bx_replays2['replays_mirrors'];
	  $replays2_cells = array_keys($bx_replays2);
		$replays2_save = array_values($bx_replays2);			
		bx_sql_update(__FILE__,'replays',$replays2_cells,$replays2_save,$getid['replays_id']);
  }

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'replays','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>