<?php
/*
 *  gsQuery - Querys game servers
 *  Copyright (c) 2004 Jeremias Reith <jr@terragate.net>
 *  http://gsquery.terragate.net
 *
 *  This file is part of the gsQuery library.
 *
 *  The gsQuery library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  The gsQuery library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with the gsQuery library; if not, write to the
 *  Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 *
 */
?>
<?php
// bx clanportal - www.bxcp.com
// $Id: status.php 101 2006-07-12 09:36:29Z hajo $

$bx_lang = bx_translate('servers','status');

$server_id  = $_GET['id'];
settype($server_id,'integer');

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb',0,3);
echo "[";
echo bx_link(bx_secure ($bx_lang['back']),'servers','list');
echo "]";echo bx_html_roco(0);
echo bx_html_table(0);


$bx_server = bx_sql_select(__FILE__,'servers','*',"servers_id = '" . $server_id . "'",'servers_id DESC','0','5000');
$server_loop = count($bx_server);
for($run=0; $run<$server_loop; $run++) {

echo bx_html_br(1);
echo bx_html_table(1,'forum',1);


echo bx_html_roco(1,'headb',1,2);
echo bx_secure($bx_server[$run]['servers_name']);
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['adresse']);	
echo bx_html_roco(2,'leftc');


echo bx_secure($bx_server[$run]['servers_ip']);
echo " / ";
echo bx_secure($bx_server[$run]['servers_port']);
	
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['spiel']);	
echo bx_html_roco(2,'leftc');
echo bx_secure($bx_server[$run]['servers_spiel']);	
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['slots']);	
echo bx_html_roco(2,'leftc');
echo bx_secure($bx_server[$run]['servers_slots']);	
echo bx_html_roco(0); 

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['pass']);	
echo bx_html_roco(2,'leftc');
echo bx_secure($bx_server[$run]['servers_pw']);	
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['tools']);	
echo bx_html_roco(2,'leftc');
echo bx_secure($bx_server[$run]['servers_tools']);		
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['sonst']);	
echo bx_html_roco(2,'leftc');
echo bx_secure($bx_server[$run]['servers_sonstiges']);		
echo bx_html_roco(0);

echo bx_html_roco(1,'headb',0,3);
echo "Serverstatus";
echo bx_html_roco(0);

$ip = bx_secure($bx_server[$run]['servers_ip']);
$qryport = bx_secure($bx_server[$run]['servers_querry']);
$art = bx_secure($bx_server[$run]['servers_gamestat']);

include_once("games/gsQuery.php");
$gameserver=gsQuery::createInstance($art, $ip, $qryport);
if($gameserver && $gameserver->query_server(FALSE, FALSE)) {

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['name']);	
echo bx_html_roco(2,'leftc');
echo $gameserver->htmlize($gameserver->servertitle);
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['version']);	
echo bx_html_roco(2,'leftc');
echo $gameserver->htmlize($gameserver->gameversion);
echo bx_html_roco(0); 

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['players']);	
echo bx_html_roco(2,'leftc');
echo $gameserver->htmlize($gameserver->numplayers);
echo "/";
echo $gameserver->htmlize($gameserver->maxplayers);
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['mapname']);	
echo bx_html_roco(2,'leftc');
echo $gameserver->htmlize($gameserver->mapname);
echo bx_html_roco(0);

echo bx_html_roco(1,'leftc');
echo bx_secure ($bx_lang['gametyp']);
echo bx_html_roco(2,'leftc');
echo $gameserver->htmlize($gameserver->gametype);
echo bx_html_roco(0);

}
else {
echo bx_html_roco(1,'leftc',1,2);
echo bx_secure ($bx_lang['error']);
echo bx_html_roco(0,'leftc');
}
echo bx_html_table(0);

}
?>
