<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 300 2006-09-04 12:22:12Z hajo $

$bx_lang = bx_translate('users','create');

$error = 0;
$errormsg = '';

if(isset($_POST['submit'])) {

  $create['access_id'] = $_POST['access_id'];
  $create['lang'] = $_POST['lang'];
  $create['nick'] = $_POST['nick'];
  $create['password'] = $_POST['password'];
  $create['email'] = $_POST['email'];
  
  $nick2 = str_replace(' ','',$create['nick']);
  $nickchars = strlen($nick2);
  if($nickchars<4) {
    $error++;
    $errormsg .= $bx_lang['short_nick'] . bx_html_br(1);
  }

  $search_nick = bx_sql_count(__FILE__,'users',"users_nick = '" . bx_sql_escape($create['nick']) . "'");
  if(!empty($search_nick)) {
    $error++;
    $errormsg .= $bx_lang['nick_exists'] . bx_html_br(1);
  }

	$whr_acc = "access_id = '" . bx_sql_escape($create['access_id']) . "'";
  $get_acc = bx_sql_select(__FILE__,'access','*',$whr_acc);
  if($get_acc['access_bxcp'] > $account['access_bxcp'] OR $get_acc['access_access'] > $account['access_access'] OR $get_acc['access_users'] > $account['access_users']) {
    $error++;
    $errormsg .= $bx_lang['access_denied'] . bx_html_br(1);
  }

  $pwd2 = str_replace(' ','',$create['password']);
  $pwdchars = strlen($pwd2);
  if($pwdchars<4) {
    $error++;
    $errormsg .= $bx_lang['short_pwd'] . bx_html_br(1);
  }

  $search_email = bx_sql_count(__FILE__,'users',"users_email = '" . bx_sql_escape($create['email']) . "'");
  if(!empty($search_email)) {
    $error++;
    $errormsg .= $bx_lang['email_exists'] . bx_html_br(1);
  }
  
  $pattern = "=^[_a-z0-9-]+(\.[_a-z0-9-]+)*@([0-9a-z](-?[0-9a-z])*\.)+[a-z]{2}([zmuvtg]|fo|me)?$=i";
  if(!preg_match($pattern,$create['email'])) {
    $error++;
    $errormsg .= $bx_lang['email_false'] . bx_html_br(1);
  }
	
	$flood = bx_sql_select(__FILE__,'users','users_register',0,'users_register DESC');
	$maxtime = $flood['users_register'] + $bx_main['def_flood'];
	if($maxtime > bx_time()) {
		$error++;
		$diff = $maxtime - bx_time();
		$errormsg .= sprintf($bx_lang['flood_on'], $diff);
	}

	if(empty($create['access_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_access'] . bx_html_br(1);
  }

  isset($_POST['send_mail']) ? $rgsm = $_POST['send_mail'] : $rgsm = 0;
  $create['send_mail'] = $rgsm;
}
else {

  $create['lang'] = $bx_main['def_lang'];
  $create['nick'] = '';
  $create['password'] = '';
  $create['email'] = '';
  $create['send_mail'] = 0;
  $create['access_id'] = 0;

	if(!empty($_GET['joinus'])) {
		$joinus_where = "joinus_id = '" . bx_sql_escape($_GET['joinus']) . "'";
		$bx_joinus = bx_sql_select(__FILE__,'joinus','*',$joinus_where);
		if(!empty($bx_joinus)) {
		  $create['nick'] = $bx_joinus['joinus_nick'];
		  $create['email'] = $bx_joinus['joinus_email'];
		}
	}
}

echo bx_html_form (1,'users_create','users','create');
echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_create'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
else {
  echo $bx_lang['reg_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_table(1,'forum',1);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('locale') . $bx_lang['lang'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_html_select(1,'lang');
  $languages = bx_checkdirs('lang');
  foreach($languages as $lang) {
    $lang['name'] == $create['lang'] ? $sel = 1 : $sel = 0;
    echo bx_html_option($lang['name'],$lang['name'],$sel);
  }
  echo bx_html_select(0);
  echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('yast_user_add') . $bx_lang['nick'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('nick',$create['nick'],'text',40,40);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('mail_generic') . $bx_lang['email'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('email',$create['email'],'text',40,40);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
	echo bx_icon('access') . $bx_lang['access'] . ' *';
	echo bx_html_roco(2,'leftb');
  $access_data = bx_sql_select(__FILE__,'access','access_name,access_id',0,'access_name',0,0);
  echo bx_dropdown('access_id','access_name',$access_data,$create['access_id']);
  echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('password') . $bx_lang['password'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('password',$create['password'],'password',30,30);
  echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('configure') . $bx_lang['more'];
  echo bx_html_roco(2,'leftb');
	echo bx_html_vote('send_mail','1','checkbox',$create['send_mail']);
	echo $bx_lang['send_mail'];
  echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['create'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}
else {
  global $bx_db;
  if($bx_db['hash'] == 'md5') { 
    $sec_pwd = md5($create['password']);
  }
  elseif($bx_db['hash'] == 'sha1') { 
    $sec_pwd = sha1($create['password']);
  }

  $def_timezone = empty($bx_main['def_timezone']) ? 0 : $bx_main['def_timezone'];
  $def_dstime = empty($bx_main['def_dstime']) ? 0 : $bx_main['def_dstime'];
  $users_cells = array('access_id', 'users_nick', 'users_pwd', 'users_lang', 'users_country', 'users_email', 'users_register', 'users_laston', 'users_info', 'users_active', 'users_limit', 'users_view', 'users_timezone', 'users_dstime');
  $users_save = array($create['access_id'], $create['nick'], $sec_pwd, $create['lang'], 'fam', $create['email'], bx_time(), bx_time(), '', 1, 20, '', $def_timezone, $def_dstime);
  bx_sql_insert(__FILE__,'users',$users_cells,$users_save);

  if(!empty($create['send_mail'])) {
    $content = $bx_lang['mail_reg_start'] . $bx_lang['mail_reg_nick'] . $create['nick'];
    $content .= $bx_lang['mail_reg_password'] . $create['password'];
    $content .= $bx_lang['mail_reg_ip'] . $_SERVER['REMOTE_ADDR'];
    $content .= $bx_lang['mail_reg_ask'] . $bx_main['def_mail'] . $bx_lang['mail_reg_end'];
  
    bx_mail($create['email'],$bx_lang['mail_reg_head'],$content);
  }
  
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'users','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>