<?php
// bx clanportal - www.bxcp.com
// $Id: register.php 300 2006-09-04 12:22:12Z hajo $

$bx_lang = bx_translate('users','register');

$captcha = extension_loaded('gd') ? 1 : 0;

$languages = bx_checkdirs('lang');

$error = 0;
$errormsg = '';

if(isset($_POST['submit'])) {

  $register['lang'] = $_POST['lang'];
  $register['nick'] = $_POST['nick'];
  $register['password'] = $_POST['password'];
  $register['email'] = $_POST['email'];

	$userlang = $register['lang'];
	$register['lang'] = isset($languages[$userlang]) ? $register['lang'] : $bx_main['def_lang'];

  $nick2 = str_replace(' ','',$register['nick']);
  $nickchars = strlen($nick2);
  if($nickchars<4) {
    $error++;
    $errormsg .= $bx_lang['short_nick'] . bx_html_br(1);
  }

  $search_nick = bx_sql_count(__FILE__,'users',"users_nick = '" . bx_sql_escape($register['nick']) . "'");
  if(!empty($search_nick)) {
    $error++;
    $errormsg .= $bx_lang['nick_exists'] . bx_html_br(1);
  }

  $pwd2 = str_replace(' ','',$register['password']);
  $pwdchars = strlen($pwd2);
  if($pwdchars<4) {
    $error++;
    $errormsg .= $bx_lang['short_pwd'] . bx_html_br(1);
  }

  $search_email = bx_sql_count(__FILE__,'users',"users_email = '" . bx_sql_escape($register['email']) . "'");
  if(!empty($search_email)) {
    $error++;
    $errormsg .= $bx_lang['email_exists'] . bx_html_br(1);
  }
  
  $pattern = "=^[_a-z0-9-]+(\.[_a-z0-9-]+)*@([0-9a-z](-?[0-9a-z])*\.)+[a-z]{2}([zmuvtg]|fo|me)?$=i";
  if(!preg_match($pattern,$register['email'])) {
    $error++;
    $errormsg .= $bx_lang['email_false'] . bx_html_br(1);
  }
  
	$flood = bx_sql_select(__FILE__,'users','users_register',0,'users_register DESC');
	$maxtime = $flood['users_register'] + $bx_main['def_flood'];
	if($maxtime > bx_time()) {
		$error++;
		$diff = $maxtime - bx_time();
		$errormsg .= sprintf($bx_lang['flood_on'], $diff) . bx_html_br(1);
	}

	if(!empty($captcha)) {
  	$hash_post = $_POST['captcha'];
		$ip = $_SERVER['REMOTE_ADDR'];
		$timeout = bx_time() - 900;
		$self = "captcha_ip = '" . bx_sql_escape($ip) . "' AND captcha_time > '" . $timeout . "'";
		$hash_db = bx_sql_select(__FILE__,'captcha','captcha_string, captcha_id',$self,'captcha_time DESC');
		if($hash_db['captcha_string'] != $hash_post) {
    	$error++;
    	$errormsg .= $bx_lang['captcha_false'] . bx_html_br(1);
		}
		else {
			bx_sql_delete(__FILE__,'captcha',$hash_db['captcha_id']);
		}
	}

  isset($_POST['send_mail']) ? $rgsm = $_POST['send_mail'] : $rgsm = 0;
  $register['send_mail'] = $rgsm;
}
else {

  $register['lang'] = $bx_main['def_lang'];
  $register['nick'] = '';
  $register['password'] = '';
  $register['email'] = '';
  $register['send_mail'] = 0;
}

echo bx_html_form (1,'users_register','users','register');
echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_register'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_register'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
else {
  echo $bx_lang['reg_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_table(1,'forum',1);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('locale') . $bx_lang['lang'];
  echo bx_html_roco(2,'leftb');

  echo bx_html_select(1,'lang');
  foreach($languages as $lang) {
    $lang['name'] == $register['lang'] ? $sel = 1 : $sel = 0;
    echo bx_html_option($lang['name'],$lang['name'],$sel);
  }
  echo bx_html_select(0);

  echo bx_html_roco(0);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('yast_user_add') . $bx_lang['nick'] . ' *';
  echo bx_html_roco(2,'leftb');

  echo bx_html_input('nick',$register['nick'],'text',40,40);
  
  echo bx_html_roco(0);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('password') . $bx_lang['password'] . ' *';
  echo bx_html_roco(2,'leftb');

  echo bx_html_input('password',$register['password'],'password',30,30);
  
  echo bx_html_roco(0);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('mail_generic') . $bx_lang['email'] . ' *';
  echo bx_html_roco(2,'leftb');

  echo bx_html_input('email',$register['email'],'text',40,40);
    
  echo bx_html_roco(0);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('configure') . $bx_lang['more'];
  echo bx_html_roco(2,'leftb');

	echo bx_html_vote('send_mail','1','checkbox',$register['send_mail']);
	echo ' ' . $bx_lang['send_mail'];

	if(!empty($captcha)) {
  	echo bx_html_roco(0);
  	echo bx_html_roco(1,'leftc');
  	echo bx_icon('lockoverlay') . $bx_lang['security_code'] . ' *';
  	echo bx_html_roco(2,'leftb');
		echo bx_html_img('mods/captcha/generate.php');
		echo bx_html_br(2);
  	echo bx_html_input('captcha','','text',8,8);
	}

  echo bx_html_roco(0);
  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['signup'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form (0);
}
else {

  global $bx_db;
  if($bx_db['hash'] == 'md5') { 
    $sec_pwd = md5($register['password']);
  }
  elseif($bx_db['hash'] == 'sha1') { 
    $sec_pwd = sha1($register['password']);
  }

  $def_timezone = empty($bx_main['def_timezone']) ? 0 : $bx_main['def_timezone'];
  $def_dstime = empty($bx_main['def_dstime']) ? 0 : $bx_main['def_dstime'];
  $users_cells = array('access_id', 'users_nick', 'users_pwd', 'users_lang', 'users_country', 'users_email', 'users_register', 'users_laston', 'users_active', 'users_limit', 'users_timezone', 'users_dstime');
  $users_save = array(2, $register['nick'], $sec_pwd, $register['lang'], 'fam', $register['email'], bx_time(), bx_time(), 1, 20, $def_timezone, $def_dstime);
  bx_sql_insert(__FILE__,'users',$users_cells,$users_save);

  if(!empty($register['send_mail'])) {
    $content = $bx_lang['mail_reg_start'] . $bx_lang['mail_reg_nick'] . $register['nick'];
    $content .= $bx_lang['mail_reg_password'] . $register['password'];
    $content .= $bx_lang['mail_reg_ip'] . $_SERVER['REMOTE_ADDR'];
    $content .= $bx_lang['mail_reg_ask'] . $bx_main['def_mail'] . $bx_lang['mail_reg_end'];
  
    bx_mail($register['email'],$bx_lang['mail_reg_head'],$content);
  }
  
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'users','login');
	echo bx_html_roco(0);
	echo bx_html_table(0);
}

?>