<?php
// bx clanportal - www.bxcp.com
// $Id: create.php 262 2006-08-26 21:10:14Z duRiel $

$bx_lang = bx_translate('wars','create');

require_once('mods/categories/functions.php');

if(isset($_POST['submit'])) {

  $bx_wars['categories_id'] = empty($_POST['categories_name']) ? $_POST['categories_id'] : 
	bx_categories_create('wars',$_POST['categories_name']);

  $bx_wars['games_id'] = $_POST['games_id'];
  $bx_wars['clans_id'] = $_POST['clans_id'];
  $bx_wars['squads_id'] = $_POST['squads_id'];
	$bx_wars['wars_status'] = $_POST['wars_status'];
  $bx_wars['wars_score1'] = $_POST['wars_score1'] == '' ? 0 : $_POST['wars_score1'];
  $bx_wars['wars_score2'] = $_POST['wars_score2'] == '' ? 0 : $_POST['wars_score2'];
  $bx_wars['wars_url'] = $_POST['wars_url'];
  $bx_wars['wars_report'] = $_POST['wars_report'];
	$bx_wars['wars_date'] = bx_datepost('date','unix');
  
  if (!empty($_POST['new_enemy'])) {
  	
	$bx_clans['clans_name'] = $_POST['new_enemy'];
	$bx_clans['clans_short'] = $_POST['new_enemy'];
	$bx_clans['clans_country'] = 'fam';
	$bx_clans['clans_since'] = 0;
	
	$clans_cells = array_keys($bx_clans);
	$clans_save = array_values($bx_clans);
	
	bx_sql_insert(__FILE__,'clans',$clans_cells,$clans_save);
	
	$bx_wars['clans_id'] = bx_sql_insertid(__FILE__);
  
  }
  
  $error = 0;
  $errormsg = '';

  if(empty($bx_wars['games_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_game'] . bx_html_br(1);
  }
  if(empty($bx_wars['categories_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_cat'] . bx_html_br(1);
  }
  if(empty($bx_wars['clans_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_enemy'] . bx_html_br(1);
  }
  if(empty($bx_wars['squads_id'])) {
    $error++;
    $errormsg .= $bx_lang['no_squad'] . bx_html_br(1);
  }
  if(empty($bx_wars['wars_date'])) {
    $error++;
    $errormsg .= $bx_lang['no_date'] . bx_html_br(1);
  }
  if(empty($bx_wars['wars_status'])) {
    $error++;
    $errormsg .= $bx_lang['no_status'] . bx_html_br(1);
  }
}
else {
  $bx_wars['games_id'] = 0;
  $bx_wars['categories_id'] = 0;
  $bx_wars['clans_id'] = 0;
  $bx_wars['squads_id'] = 0;
  $bx_wars['wars_date'] = bx_time();
  $bx_wars['wars_status'] = '';
  $bx_wars['wars_score1'] = '';
  $bx_wars['wars_score2'] = '';
  $bx_wars['wars_url'] = '';
  $bx_wars['wars_report'] = '';

	if(!empty($_GET['fightus'])) {
		$fightus_where = "fightus_id = '" . bx_sql_escape($_GET['fightus']) . "'";
		$bx_fightus = bx_sql_select(__FILE__,'fightus','*',$fightus_where);
		if(!empty($bx_fightus)) {
		  $bx_wars['games_id'] = $bx_fightus['games_id'];
		  $bx_wars['squads_id'] = $bx_fightus['squads_id'];
		  $bx_wars['wars_date'] = $bx_fightus['fightus_date'];
		  $bx_wars['wars_status'] = 'upcoming';
		  $bx_wars['wars_url'] = $bx_fightus['fightus_url'];
		  $bx_wars['wars_report'] = $bx_fightus['fightus_more'];

			$where = "clans_name = '" . $bx_fightus['fightus_clan'] . "'";
		  $bx_wars['clans_id'] = bx_sql_select(__FILE__,'clans','clans_id',$where);
		}
	}
}

echo bx_html_table(1,'forum',1);
echo bx_html_roco(1,'headb');
echo $bx_lang['mod'] . ' - ' . $bx_lang['head_create'];
echo bx_html_roco(0);
echo bx_html_roco(1,'leftc');
if(!isset($_POST['submit'])) {
  echo $bx_lang['body_create'];
}
elseif(!empty($error)) {
  echo $errormsg;
}
else {
  echo $bx_lang['create_done'];
}
echo bx_html_roco(0);
echo bx_html_table(0);
echo bx_html_br(1);

if(!empty($error) OR !isset($_POST['submit'])) {

  echo bx_html_form (1,'wars_create','wars','create');
  echo bx_html_table(1,'forum',1);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('package_games') . $bx_lang['game'] . ' *';
  echo bx_html_roco(2,'leftb');
  $el_id = 'game_1';
  $onc = "document.getElementById('" . $el_id . "').src='uploads/games/' + this.form.";
  $onc .= "games_id.options[this.form.games_id.selectedIndex].value + '.gif'";
  echo bx_html_select(1,'games_id',"onchange=\"" . $onc . "\"");
	echo bx_html_option('----',0,0);
  $bx_games = bx_sql_select(__FILE__,'games','games_name,games_id',0,'games_name',0,0);
	$games_count = count($bx_games);
	for($run = 0; $run < $games_count; $run++) {
    $sel = $bx_games[$run]['games_id'] == $bx_wars['games_id'] ? 1 : 0;
    echo bx_html_option($bx_games[$run]['games_name'],$bx_games[$run]['games_id'],$sel);
  }
  echo bx_html_select(0) . ' ';
  $url = 'uploads/games/' . $bx_wars['games_id'] . '.gif';
  echo bx_html_img($url,0,0,'id="' . $el_id . '"');
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
	echo bx_icon('folder_yellow') . $bx_lang['category'] . ' *';
	echo bx_html_roco(2,'leftb');
	echo bx_categories_dropdown('wars',$bx_wars['categories_id']);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('kuser') . $bx_lang['enemy'] . ' *';
  echo bx_html_roco(2,'leftb');
	$cid = "clans_id != '1'";
  $clans_data = bx_sql_select(__FILE__,'clans','clans_name,clans_id',$cid,'clans_name',0,0);
  echo bx_dropdown('clans_id','clans_name',$clans_data,$bx_wars['clans_id']);
	echo ' - ' . bx_html_input('new_enemy','','text',30,20);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('yast_group_add') . $bx_lang['squad'] . ' *';
  echo bx_html_roco(2,'leftb');
	$cid = "clans_id = '1'";
  $squads_data = bx_sql_select(__FILE__,'squads','squads_name,squads_id',$cid,'squads_name',0,0);
  echo bx_dropdown('squads_id','squads_name',$squads_data,$bx_wars['squads_id']);
	echo ' - ' . bx_link($bx_lang['manage'],'squads','manage');
	echo ' - ' . bx_link($bx_lang['new'],'squads','create');
  echo bx_html_roco(0);	
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('kuser') . $bx_lang['players'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_input('players','','text',60,50);
  echo bx_html_br(1) . $bx_lang['usage'];
  echo bx_html_roco(0);
  
  echo bx_html_roco(1,'leftc');
  echo bx_icon('1day') . $bx_lang['date'] . ' *';
  echo bx_html_roco(2,'leftb');
  echo bx_dateselect('date','unix',$bx_wars['wars_date'],1995);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('demo') . $bx_lang['status'] . ' *';
  echo bx_html_roco(2,'leftb');
  $status[0]['wars_status'] = 'upcoming';
  $status[0]['name'] = $bx_lang['upcoming'];
  $status[1]['wars_status'] = 'running';
  $status[1]['name'] = $bx_lang['running'];
  $status[2]['wars_status'] = 'canceled';
  $status[2]['name'] = $bx_lang['canceled'];
  $status[3]['wars_status'] = 'played';
  $status[3]['name'] = $bx_lang['played'];
  echo bx_dropdown('wars_status','name',$status,$bx_wars['wars_status']);
  echo bx_html_roco(0);	

  echo bx_html_roco(1,'leftc');
	echo bx_icon('smallcal') . $bx_lang['score'];
	echo bx_html_roco(2,'leftb');
  echo bx_html_input('wars_score1',$bx_wars['wars_score1'],'text',5,5);
	echo ' : ' . bx_html_input('wars_score2',$bx_wars['wars_score2'],'text',5,5);
  echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('gohome') . $bx_lang['url'];
  echo bx_html_roco(2,'leftb',0,2);
  echo 'http://' . bx_html_input('wars_url',$bx_wars['wars_url'],'text',80,50);
  echo bx_html_roco(0);

	echo bx_html_roco(1,'leftc');
	echo bx_icon('kate') . $bx_lang['report'];
  echo bx_html_br(2);
  echo bx_abcode_smileys('wars_report');
	echo bx_html_roco(2,'leftb');
  echo bx_abcode_features('wars_report');
	echo bx_html_textarea('wars_report',$bx_wars['wars_report'],'50','8');
	echo bx_html_roco(0);

  echo bx_html_roco(1,'leftc');
  echo bx_icon('ksysguard') . $bx_lang['options'];
  echo bx_html_roco(2,'leftb');
  echo bx_html_vote('submit',$bx_lang['create'],'submit');
  echo bx_html_vote('reset',$bx_lang['reset'],'reset');
  echo bx_html_roco(0);
  echo bx_html_table(0);
  echo bx_html_form(0);
}
else {

	settype($bx_wars['wars_score1'],'integer');
	settype($bx_wars['wars_score2'],'integer');

  $wars_cells = array_keys($bx_wars);
  $wars_save = array_values($bx_wars);
  bx_sql_insert(__FILE__,'wars',$wars_cells,$wars_save);
  
  $warid = bx_sql_insertid(__FILE__);
  
  if (!empty($_POST['players'])) {
  	
	$parts = explode(',',$_POST['players']);
	
	foreach ($parts AS $player) {
		
		$get_user_id = bx_sql_select(__FILE__,'users','users_id','users_nick = \''.strtolower(bx_sql_escape($player)).'\'');
		$pcells = array('users_id','wars_id','players_status','players_played','players_time');
		$pvalues = array($get_user_id['users_id'],$warid,'yes',1,bx_time());
		bx_sql_insert(__FILE__,'players',$pcells,$pvalues);
	
	}
  }

	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['continue'],'wars','manage');
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_br(1);
	
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['add_pictures'],'wars','picture','id='.$warid);
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_br(1);
	
	echo bx_html_table(1,'forum',1);
	echo bx_html_roco(1,'centerb');
	echo bx_link($bx_lang['add_rounds'],'wars','rounds','id='.$warid);
	echo bx_html_roco(0);
	echo bx_html_table(0);
	echo bx_html_br(1);
}

?>