<?php
// bx clanportal - www.bxcp.com
// $Id: tools.php 285 2006-08-30 23:47:05Z hajo $

function bx_addons($modul,$action,$id,$modul_now) {

	global $account;
	$show = $modul . '/' . $action;
	$addons = bx_checkdirs('mods',$show);
	$count = count($addons);
	$var = '';

	if(!empty($count)) {
		  foreach($addons as $mod) {
			  $acc_dir = 'access_' . $mod['dir'];
			  if(array_key_exists($acc_dir,$account) AND $account[$acc_dir] >= $mod['show'][$show]) {
					$mod['action'] = $modul == $mod['dir'] ? $action : $modul;
			  	$out = $modul_now == $mod['dir'] ? $mod['name'] : 
						bx_link($mod['name'],$mod['dir'],$mod['action'],'id=' . $id);
					$var .= $out . ' - ';
	    }
	  }
	}
	$var = substr($var,0,-3);
	return $var;
}

function bx_checkdirs($dir,$show = 0) {

	static $modules = array();
	if(!isset($modules[$dir])) {
		$directories = bx_paths($dir);
		foreach($directories as $target => $zero) {
			$this_info = $dir . '/' . $target . '/info.php';
			if(file_exists($this_info)) { 
				$mod_info = array('show' => array());
				include($this_info);
				$name = $mod_info['name'];
				$modules[$dir][$name] = $mod_info;
				$modules[$dir][$name]['dir'] = $target;
			}
			elseif(is_dir($dir . '/' . $target)) {
				bx_error($target,'bx_checkdirs - Directory without info.php file');
		  }
		}
		ksort($modules[$dir]);
	}
	if(empty($show)) {
		$clean = $modules[$dir];
	}
	else {
		$clean = array();
		foreach($modules[$dir] AS $target) { 
			if(isset($target['show'][$show])) {
				$create = $target['name'];
				$clean[$create] = $target;
			}
		}
	}
	return $clean;
}

function bx_date($mode,$data,$show_time = 0) {

	global $com_lang;
  if($mode=='date' AND preg_match('=-=',$data)) {
    $explode = explode('-', $data);
    $data = mktime(0,0,1,$explode[1],$explode[2],$explode[0]);
  }
	else {
		global $account;
		$data = $data + $account['users_timezone'];
		$data = empty($account['users_dstime']) ?	$data : $data + 3600;
	}

  $var = date($com_lang['dateset'],$data);
	if(!empty($show_time)) {
    $var .= ' ' . $com_lang['dtcon'] . ' ';
	  $var .= date($com_lang['timeset'],$data);
	  $var .= ' ' . $com_lang['timename'];
	}
  return $var;
}

function bx_datereal($mode,$time = 0) {

	global $account;
	$time = empty($time) ? bx_time() : $time;
	$time = $time + $account['users_timezone'];
	$time = empty($account['users_dstime']) ?	$time : $time + 3600;
	return date($mode,$time);
}

function bx_datepost($name,$mode) {

	$var = 0;
	if(!empty($_POST[$name . '_year']) AND !empty($_POST[$name . '_month']) AND 
		!empty($_POST[$name . '_day'])) {
		if($mode == 'unix') {
			global $account;
			$var = mktime($_POST[$name . '_hours'], $_POST[$name . '_mins'] , 0, 
				$_POST[$name . '_month'], $_POST[$name . '_day'], $_POST[$name . '_year']);
			$var = $var - $account['users_timezone'];
			$var = empty($account['users_dstime']) ?	$var : $var - 3600;
		}
		elseif($mode == 'date') {
			$var = $_POST[$name . '_year'] . '-' . $_POST[$name . '_month'] . '-' . $_POST[$name . '_day'];
		}
	}
	return $var;
}

function bx_dateselect($name,$mode,$data,$year_start = 0) {

	$real_start = $mode == 'unix' ? 1970 : 1950;
	$year_start = empty($year_start) ? $real_start : $year_start;

	if(empty($data)) {
    $explode = array(0 => 0, 1 => 0, 2=> 0, 3=> 0, 4=> 0);
  }
  elseif($mode == 'date') {
    $explode = explode('-', $data);
  }
  elseif($mode == 'unix') {
    $explode[0] = bx_datereal('Y',$data);
    $explode[1] = bx_datereal('m',$data);
    $explode[2] = bx_datereal('d',$data);
    $explode[3] = bx_datereal('H',$data);
    $explode[4] = bx_datereal('i',$data);
  }
  $year_end = bx_datereal('Y') + 4;
  $year = bx_html_select(1,$name . '_year');
  $year .= bx_html_option('----',0,0);
  while($year_start<$year_end) {
    $sel = $explode[0] == $year_start ? 1 : 0;
	  $year .= bx_html_option($year_start,$year_start,$sel);
    $year_start++;
  }
  $year .= bx_html_select(0);
  
  $month_start = 1;
  $month_end = 13;
  $month = bx_html_select(1,$name . '_month');
  $month .= bx_html_option('----',0,0);
  while($month_start<$month_end) {
    $month_value = $month_start < 10 ? '0' . $month_start : $month_start;
    $explode[1] == $month_value ? $sel = 1 : $sel = 0;
	  $month .= bx_html_option($month_start,$month_value,$sel);
    $month_start++;
  }
  $month .= bx_html_select(0);
  
  $day_start = 1;
  $day_end = 32;
  $day = bx_html_select(1,$name . '_day');
  $day .= bx_html_option('----',0,0);
  while($day_start<$day_end) {
    $day_value = $day_start < 10 ? '0' . $day_start : $day_start;  
    $explode[2] == $day_value ? $sel = 1 : $sel = 0;
	  $day .= bx_html_option($day_start,$day_value,$sel);
    $day_start++;
  }
  $day .= bx_html_select(0);
  
  $var = $year . ' - ' . $month . ' - ' . $day;
  if($mode == 'unix') {
    $hours = bx_html_input($name . '_hours',$explode[3],'text',2,2);
    $mins = bx_html_input($name . '_mins',$explode[4],'text',2,2);
    $var .= ' T ' . $hours . ' : ' . $mins;
  }
  return $var;
}

function bx_dropdown($name,$list,$array,$select = 0, $key = 0) {

	global $com_lang;

	$key = empty($key) ? $name : $key;
  $var = bx_html_select(1,$name);
  $var .= bx_html_option('----',0,0);
  $loop = count($array);
  for($run=0; $run < $loop; $run++) {
    $sel = $select == $array[$run][$key] ? 1 : 0;
		$content = 	htmlentities($array[$run][$list], ENT_QUOTES, $com_lang['charset']);
	  $var .= bx_html_option($content,$array[$run][$key],$sel);
  }
  return $var . bx_html_select(0);
}

function bx_filesize($size, $float = 2) {

	$name = array(0 => 'Byte', 1 => 'KB', 2 => 'MB', 3 => 'GB', 4 => 'TB');
	$digits = 0;
	while($size >= 1024) {
		$size = $size / 1024;
		$digits++;
	}
	$result = round($size,$float) . ' ' . $name[$digits];
	return $result;
}

function bx_icon($img,$size = 16,$alt = 0,$space = 1) {
  
	global $bx_main;
	$alt = empty($alt) ? '' : $alt;
  if(!empty($bx_main['img_path']) AND !empty($bx_main['img_ext'])) {
    $iconpath = 'symbols/' . $bx_main['img_path'] . '/' . $size . '/';
    $iconpath .= $img . '.' . $bx_main['img_ext'];
    if(file_exists($iconpath)) {
			$end = empty($space) ? '' : ' ';
      return bx_html_img($iconpath,$size,$size,0,$alt) . $end;
    }
    else {
      bx_error($iconpath,'bx_icon - File not found');
    }
  }
	else {
		return $alt;
	}
}

function bx_link($name,$mod,$action = 'list',$more = 0,$class = 0, $title = 0) {

	$error = 0;
	$file = 'mods/' . $mod . '/' . $action . '.php';

	if(empty($mod) OR empty($action)) {
		$error++;
	  $message = 'bx_link - Missing mod or action';
	  bx_error($file,$message);
	}
	elseif(!file_exists($file)) {
		$error++;
		$message = 'bx_link - File not found';
		bx_error($file,$message);
	}
	$url = $_SERVER['PHP_SELF'] . '?mod=' . $mod . '&amp;action=' . $action;
  if(!empty($more)) {
		$url .= '&amp;' . $more;
	}
	return bx_html_link($url,$name,0,$class,$title);
}

function bx_mail($email,$title,$message,$from = 0,$type = 0) {

	global $bx_main, $com_lang;
	$subject = $bx_main['def_org'] . ' - ' . $title;
	$headers = "MIME-Version: 1.0\r\n";
	$type = empty($type) ? 'text/plain' : $type;
	$headers .= "Content-type: " . $type . "; charset=" . $com_lang['charset'] . "\r\n";
	$from = empty($from) ? $bx_main['def_mail'] : $from;
	$headers .= "From: " . $from . "\r\nReply-To: " . $from . "\r\n";
	$headers .= "X-Mailer: PHP/" . phpversion();

	$result = mail($email,$subject,$message,$headers) ? TRUE : FALSE;
	return $result;
}

function bx_pages($mod,$action,$records,$start,$where = 0,$sort = 0, $limit = 0, $small = 0) {

	global $account;
	$limit = empty($limit) ? $account['users_limit'] : $limit;
	$add_where = empty($where) ? '' : '&amp;where=' . $where;
	$add_sort = empty($sort) ? '' : '&amp;sort=' . $sort;
  $pages = $records / $limit;
  if(round($pages) < $pages OR round($pages) < 1) {
    $pages++;
  }
  $pages = round($pages);
  $actual = empty($start) ? 1 : round($start / $limit) + 1;
  $maxpages = $pages >= 9 ? 9 : $pages;
  $last = $actual <= 2 ? 0 : $start - $limit;
  $next = $actual >= $pages ? ($pages - 1) * $limit : $start + $limit;
  $more = 'start=' . $last . $add_where . $add_sort;
  $result = empty($small) ? bx_link('&lt;',$mod,$action,$more) . ' ' : '';
  
	$run = 0;
  while($maxpages > 0) {
    $run++;
    if($pages > 9 AND $maxpages == 6 AND $actual > 5) {
      $result .= ' ... ';
      $run = $actual > $pages - 4 ? $pages - 5 : $actual - 1;
    }
    if($pages > 9 AND $maxpages == 3 AND ($actual + 4) < $pages) {
      $result .= ' ... ';
      $run = $pages - 2;
    }
    if($run == $actual AND empty($small)) {
      $result .= ' [' . $run . '] ';
    }
    else {
      $more = 'start=' . ($run - 1) * $limit . $add_where . $add_sort;
      $result .= ' ' . bx_link($run,$mod,$action,$more);
    }
  	$maxpages--;
  }
  $more = 'start=' . $next . $add_where . $add_sort;
  $result .= empty($small) ? ' ' . bx_link('&gt;',$mod,$action,$more): '';
  return $result;  
}

function bx_paths($dir) {

	$path_array = array();
	$php_ok = version_compare(phpversion(),'5.1.0','>=');
	if(empty($php_ok)) {
		if(is_dir($dir)) {
			$goal = opendir($dir);
			while(false !== ($filename = readdir($goal))) {
				$check_dir = $dir . '/' . $filename;
				if($filename != '.' AND $filename != '..' AND $filename != '.svn') {
					$path_array[$filename] = 0;
				}
			}
			closedir($goal);
		}
	}
	else {
		$scandir = is_dir($dir) ? scandir($dir) : array();
		foreach($scandir as $filename) {
			$check_dir = $dir . '/' . $filename;
			if($filename != '.' AND $filename != '..' AND $filename != '.svn') {
				$path_array[$filename] = 0;
			}
		}
	}
	return $path_array;
}

function bx_sort($mod,$action,$start,$where,$up,$active = 0) {

	$down = $up + 1;
	$add_start = empty($start) ? '' : '&amp;start=' . $start;
	$add_where = empty($where) ? '' : '&amp;where=' . $where;

	$file_up = $active == $up ? 'up_arrow_active.png' : 'up_arrow.png';
  $img_up = bx_html_img('symbols/bxcp/' . $file_up);
  $more = 'sort=' . $up . $add_start . $add_where;
  $result = bx_link($img_up,$mod,$action,$more) . ' ';

	$file_down = $active == $down ? 'down_arrow_active.png' : 'down_arrow.png';
  $img_down = bx_html_img('symbols/bxcp/' . $file_down);
  $more = 'sort=' . $down . $add_start . $add_where;
  $result .= bx_link($img_down,$mod,$action,$more) . ' ';

	return $result;
}

function bx_translate($mod,$action = 0) {

	global $account, $bx_lang;
	$file = 'lang/' . $account['users_lang'] . '/' . $mod;
  $file .= empty($action) ? '.php' : '/' . $action . '.php';

	if(file_exists($file)) {
		include($file);
		return $bx_lang;
	}
	else {
    $message = 'bx_translate - Requested translation not found';
		bx_error($file,$message);
 	}
}

function bx_upload($mod,$filename,$upname) {

  global $bx_main;
  $target = $bx_main['def_path'] . '/uploads/' . $mod . '/' . $filename;
  if(move_uploaded_file($upname,$target)) {
    chmod($target,0755);
    return TRUE;
  }
  else {
    $message = 'bx_upload - Failed to save the file';
		bx_error($target,$message);
    return FALSE;
  }
}

?>