ALTER TABLE {pre}_access ADD access_logs int(2) NOT NULL default '0';

ALTER TABLE {pre}_users ADD users_skype varchar(40) NOT NULL default '';

ALTER TABLE {pre}_users ADD users_signature text NOT NULL default '';

ALTER TABLE {pre}_users ADD users_avatar varchar(80) NOT NULL default '';

ALTER TABLE {pre}_comments ADD comments_edit varchar(200) NOT NULL default '';

ALTER TABLE {pre}_access ADD access_board int(2) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_boardranks int(2) NOT NULL default '0';

CREATE TABLE {pre}_abonements (
  abonements_id {serial},
  users_id int(8) NOT NULL default '0',
  threads_id int(8) NOT NULL default '0',
  PRIMARY KEY (abonements_id)
){engine};

CREATE TABLE {pre}_board (
  board_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  board_access int(2) NOT NULL default '0',
  board_name varchar(80) NOT NULL default '',
  board_text varchar(200) NOT NULL default '',
  board_time int(14) NOT NULL default '0',
  PRIMARY KEY (board_id)
){engine};

CREATE TABLE {pre}_boardranks (
  boardranks_id {serial},
  boardranks_min int(8) NOT NULL default '0',
  boardranks_name varchar(200) NOT NULL default '',
  PRIMARY KEY (boardranks_id)
){engine};

INSERT INTO {pre}_boardranks VALUES (1, 0, 'Beginner');
INSERT INTO {pre}_boardranks VALUES (2, 20, 'Wannabe poster');
INSERT INTO {pre}_boardranks VALUES (3, 40, 'Rock the board');
INSERT INTO {pre}_boardranks VALUES (4, 100, 'Try to beat me');
INSERT INTO {pre}_boardranks VALUES (5, 200, 'King for a day');
INSERT INTO {pre}_boardranks VALUES (6, 400, 'Going for pro');
INSERT INTO {pre}_boardranks VALUES (7, 600, 'Poststar');
INSERT INTO {pre}_boardranks VALUES (8, 800, 'Just nerd');
INSERT INTO {pre}_boardranks VALUES (9, 1000, 'Geekboy');

CREATE TABLE {pre}_readtopics (
  rt_id {serial},
  users_id int(8) NOT NULL default '0',
  rt_readtopics text NOT NULL default '',
  rt_curcat int(8) NOT NULL default '0',
  rt_date varchar(14) NOT NULL default '0000-00-00',
  PRIMARY KEY (rt_id)
){engine};

CREATE TABLE {pre}_threads (
  threads_id {serial},
  board_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  threads_headline varchar(200) NOT NULL default '',
  threads_text text NOT NULL default '',
  threads_time varchar(14) NOT NULL default '0',
  threads_view int(8) NOT NULL default '0',
  threads_important int(2) NOT NULL default '0',
  threads_close int(2) NOT NULL default '0',
  threads_last varchar(14) NOT NULL default '0',
  threads_edit varchar(200) NOT NULL default '',
  PRIMARY KEY (threads_id)
){engine};