ALTER TABLE {pre}_access ADD access_boardmods int(2) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_shoutbox int(2) NOT NULL default '0';

ALTER TABLE {pre}_news ADD news_attached int(2) NOT NULL default '0';

ALTER TABLE {pre}_squads ADD squads_order int(4) NOT NULL default '0';

ALTER TABLE {pre}_board ADD board_pwd varchar(40) NOT NULL default '';

CREATE TABLE {pre}_boardmods (
  boardmods_id {serial},
  users_id int(8) NOT NULL default '0',
  boardmods_modpanel int(2) NOT NULL default '0',
  boardmods_edit int(2) NOT NULL default '0',
  boardmods_del int(2) NOT NULL default '0',
  PRIMARY KEY (boardmods_id)
){engine};

CREATE TABLE {pre}_boardpws (
  boardpws_id {serial},
  board_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  PRIMARY KEY (boardpws_id)
){engine};

CREATE TABLE {pre}_captcha (
  captcha_id {serial},
  captcha_time varchar(14) NOT NULL default '',
  captcha_ip varchar(40) NOT NULL default '',
  captcha_string varchar(8) NOT NULL default '',
  PRIMARY KEY (captcha_id)
){engine};

CREATE TABLE {pre}_shoutbox (
	shoutbox_id {serial},
	shoutbox_name varchar(80) NOT NULL default '',
	shoutbox_text text NOT NULL default '',
	shoutbox_date varchar(14) NOT NULL default '',
	shoutbox_ip varchar(20) NOT NULL default '',
	PRIMARY KEY (shoutbox_id)
){engine};

INSERT INTO {pre}_options VALUES (29, 'gallery', 'top_5_votes', '0');
INSERT INTO {pre}_options VALUES (30, 'gallery', 'top_5_views', '0');
INSERT INTO {pre}_options VALUES (31, 'gallery', 'newest_5', '1');